<?php
//升级数据表
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `adstype` varchar(100) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `logo` varchar(2000) DEFAULT NULL,
  `appid` varchar(100) DEFAULT NULL,
  `description` text,
  `status` char(1) DEFAULT '1',
  `type` char(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='广告';

");

if(!pdo_fieldexists('diygw_crdj_ads','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_ads','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_ads','adstype')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `adstype` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_ads','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `title` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_ads','logo')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `logo` varchar(2000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_ads','appid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `appid` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_ads','description')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `description` text");}
if(!pdo_fieldexists('diygw_crdj_ads','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `status` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_ads','type')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_ads')." ADD   `type` char(1) DEFAULT '1'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_churu` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `idcard` varchar(100) DEFAULT NULL,
  `xiaoquid` int(10) DEFAULT NULL COMMENT '小区ID',
  `glyopenid` varchar(50) DEFAULT NULL,
  `openid` varchar(50) NOT NULL COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `title` varchar(100) DEFAULT NULL COMMENT '姓名',
  `phone` varchar(100) DEFAULT NULL COMMENT '手机',
  `iswuhan` char(1) DEFAULT '0',
  `isstate` char(1) DEFAULT '1',
  `type` char(1) DEFAULT '1',
  `status` varchar(100) DEFAULT NULL,
  `remark` varchar(2000) DEFAULT NULL,
  `car` varchar(100) DEFAULT NULL COMMENT '车牌号码',
  `temperature` varchar(10) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `address` varchar(300) DEFAULT NULL COMMENT '详细地址',
  `latitude` varchar(100) DEFAULT NULL,
  `longitude` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `xiaoquid` (`xiaoquid`,`uniacid`) USING BTREE,
  KEY `openid` (`openid`,`uniacid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=7131 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='个人信息';

");

if(!pdo_fieldexists('diygw_crdj_churu','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD 
  `id` int(10) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('diygw_crdj_churu','idcard')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `idcard` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `xiaoquid` int(10) DEFAULT NULL COMMENT '小区ID'");}
if(!pdo_fieldexists('diygw_crdj_churu','glyopenid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `glyopenid` varchar(50) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `openid` varchar(50) NOT NULL COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_churu','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_churu','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `title` varchar(100) DEFAULT NULL COMMENT '姓名'");}
if(!pdo_fieldexists('diygw_crdj_churu','phone')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `phone` varchar(100) DEFAULT NULL COMMENT '手机'");}
if(!pdo_fieldexists('diygw_crdj_churu','iswuhan')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `iswuhan` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_churu','isstate')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `isstate` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_churu','type')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `type` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_churu','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `status` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','remark')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `remark` varchar(2000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','car')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `car` varchar(100) DEFAULT NULL COMMENT '车牌号码'");}
if(!pdo_fieldexists('diygw_crdj_churu','temperature')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `temperature` varchar(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','createtime')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `createtime` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','address')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `address` varchar(300) DEFAULT NULL COMMENT '详细地址'");}
if(!pdo_fieldexists('diygw_crdj_churu','latitude')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `latitude` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','longitude')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   `longitude` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churu','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('diygw_crdj_churu','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churu')." ADD   KEY `xiaoquid` (`xiaoquid`,`uniacid`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_churubak` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `churuid` int(11) DEFAULT NULL COMMENT '统一ID',
  `remarkq` varchar(4000) DEFAULT NULL,
  `remarkh` varchar(4000) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `uid` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='出入备注';

");

if(!pdo_fieldexists('diygw_crdj_churubak','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_churubak','churuid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD   `churuid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_churubak','remarkq')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD   `remarkq` varchar(4000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churubak','remarkh')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD   `remarkh` varchar(4000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churubak','createtime')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD   `createtime` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_churubak','uid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_churubak')." ADD   `uid` varchar(32) DEFAULT NULL");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `name` varchar(100) DEFAULT NULL COMMENT '标识',
  `value` varchar(4000) DEFAULT NULL COMMENT '值',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2248 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='系统配置';

");

if(!pdo_fieldexists('diygw_crdj_config','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_config')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_config','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_config')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_config','name')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_config')." ADD   `name` varchar(100) DEFAULT NULL COMMENT '标识'");}
if(!pdo_fieldexists('diygw_crdj_config','value')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_config')." ADD   `value` varchar(4000) DEFAULT NULL COMMENT '值'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_confignr` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `name` varchar(100) DEFAULT NULL COMMENT '标识',
  `value` text COMMENT '值',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=215 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='系统配置';

");

if(!pdo_fieldexists('diygw_crdj_confignr','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_confignr')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_confignr','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_confignr')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_confignr','name')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_confignr')." ADD   `name` varchar(100) DEFAULT NULL COMMENT '标识'");}
if(!pdo_fieldexists('diygw_crdj_confignr','value')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_confignr')." ADD   `value` text COMMENT '值'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_form` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(10) DEFAULT NULL,
  `formid` varchar(100) DEFAULT '1' COMMENT '性别',
  `openid` varchar(100) NOT NULL DEFAULT '' COMMENT '姓名',
  `status` varchar(1) DEFAULT '1' COMMENT '状态1为有效，0为无效',
  `create_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '创建人',
  `update_time` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

");

if(!pdo_fieldexists('diygw_crdj_form','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD 
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_form','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `uniacid` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_form','formid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `formid` varchar(100) DEFAULT '1' COMMENT '性别'");}
if(!pdo_fieldexists('diygw_crdj_form','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `openid` varchar(100) NOT NULL DEFAULT '' COMMENT '姓名'");}
if(!pdo_fieldexists('diygw_crdj_form','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `status` varchar(1) DEFAULT '1' COMMENT '状态1为有效，0为无效'");}
if(!pdo_fieldexists('diygw_crdj_form','create_time')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `create_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '创建人'");}
if(!pdo_fieldexists('diygw_crdj_form','update_time')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_form')." ADD   `update_time` datetime NOT NULL COMMENT '创建时间'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_help` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `title` varchar(100) DEFAULT NULL,
  `description` text,
  `status` char(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='广告';

");

if(!pdo_fieldexists('diygw_crdj_help','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_help')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_help','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_help')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_help','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_help')." ADD   `title` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_help','description')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_help')." ADD   `description` text");}
if(!pdo_fieldexists('diygw_crdj_help','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_help')." ADD   `status` char(1) DEFAULT '1'");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_people` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `openid` varchar(50) NOT NULL COMMENT '主键',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `title` varchar(100) DEFAULT NULL COMMENT '姓名',
  `phone` varchar(100) DEFAULT NULL COMMENT '手机',
  `iswuhan` char(1) DEFAULT '0',
  `idcard` varchar(100) DEFAULT NULL COMMENT '身份证',
  `car` varchar(100) DEFAULT NULL COMMENT '车牌号码',
  `xiaoquid` int(10) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `status` char(1) DEFAULT '0',
  `teamid` int(10) DEFAULT NULL,
  `isbxcs` char(1) DEFAULT '0',
  `jrcs` int(11) DEFAULT NULL,
  `cqcs` int(11) DEFAULT NULL,
  `address` varchar(300) DEFAULT NULL COMMENT '详细地址',
  `delopenid` varchar(50) DEFAULT NULL,
  `delxiaoquid` varchar(50) DEFAULT NULL,
  `isjtcs` char(1) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `xiaoquid` (`xiaoquid`,`uniacid`) USING BTREE,
  KEY `openid` (`openid`,`uniacid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2563 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='个人信息';

");

if(!pdo_fieldexists('diygw_crdj_people','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT");}
if(!pdo_fieldexists('diygw_crdj_people','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `openid` varchar(50) NOT NULL COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_people','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_people','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `title` varchar(100) DEFAULT NULL COMMENT '姓名'");}
if(!pdo_fieldexists('diygw_crdj_people','phone')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `phone` varchar(100) DEFAULT NULL COMMENT '手机'");}
if(!pdo_fieldexists('diygw_crdj_people','iswuhan')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `iswuhan` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_people','idcard')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `idcard` varchar(100) DEFAULT NULL COMMENT '身份证'");}
if(!pdo_fieldexists('diygw_crdj_people','car')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `car` varchar(100) DEFAULT NULL COMMENT '车牌号码'");}
if(!pdo_fieldexists('diygw_crdj_people','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `xiaoquid` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','createtime')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `createtime` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `status` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_people','teamid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `teamid` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','isbxcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `isbxcs` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_people','jrcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `jrcs` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','cqcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `cqcs` int(11) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','address')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `address` varchar(300) DEFAULT NULL COMMENT '详细地址'");}
if(!pdo_fieldexists('diygw_crdj_people','delopenid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `delopenid` varchar(50) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','delxiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `delxiaoquid` varchar(50) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_people','isjtcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   `isjtcs` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_people','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('diygw_crdj_people','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_people')." ADD   KEY `xiaoquid` (`xiaoquid`,`uniacid`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_team` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `xiaoquid` int(11) DEFAULT NULL COMMENT '统一ID',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `title` varchar(100) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `openid` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `xiaoquid` (`xiaoquid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='小区';

");

if(!pdo_fieldexists('diygw_crdj_team','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_team','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   `xiaoquid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_team','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_team','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   `title` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_team','createtime')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   `createtime` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_team','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   `openid` varchar(32) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_team','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_team')." ADD   PRIMARY KEY (`id`)");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_xiaoqu` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pid` int(11) DEFAULT '0',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `openid` varchar(32) DEFAULT NULL,
  `valuecode` varchar(200) DEFAULT NULL,
  `value` varchar(200) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `city` varchar(100) DEFAULT NULL,
  `province` varchar(100) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL COMMENT '位置',
  `audit` char(1) DEFAULT '0' COMMENT '0:不用认证，1:人员需要认证',
  `isstate` char(1) DEFAULT NULL,
  `isjccs` char(1) DEFAULT NULL,
  `jckssj` datetime DEFAULT NULL,
  `istemperature` char(1) DEFAULT '0',
  `isaddress` char(1) DEFAULT '0',
  `isidcard` char(1) DEFAULT '0',
  `isidcardyx` char(1) DEFAULT '0',
  `iscar` char(1) DEFAULT '0',
  `isremark` char(1) DEFAULT '0',
  `isgroup` char(1) DEFAULT '0',
  `jrcs` int(10) DEFAULT NULL,
  `days` int(10) DEFAULT NULL,
  `cqcs` int(10) DEFAULT NULL,
  `createtime` datetime DEFAULT NULL,
  `addresslabel` varchar(100) DEFAULT NULL,
  `addresstip` varchar(100) DEFAULT NULL,
  `remarklabel` varchar(100) DEFAULT NULL,
  `remarktip` varchar(100) DEFAULT NULL,
  `status` char(1) DEFAULT '0',
  `type` char(1) DEFAULT NULL,
  `title` varchar(200) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL COMMENT '管理电话',
  `iscarxs` char(1) DEFAULT '1',
  `isidcardxs` char(1) DEFAULT '1',
  `password` varchar(100) DEFAULT NULL,
  `isaddressxs` char(1) DEFAULT '1',
  `isaddressbt` char(1) DEFAULT '1',
  `isctemperature` char(1) DEFAULT '0',
  `wuhanlabel` varchar(100) DEFAULT NULL,
  `statelabel` varchar(100) DEFAULT NULL,
  `carlabel` varchar(100) DEFAULT NULL,
  `cartip` varchar(100) DEFAULT NULL,
  `isaddressdw` char(1) DEFAULT '0',
  `ishealth` char(1) DEFAULT '1',
  `iswuhanchange` char(1) DEFAULT '1',
  `wuhanwlabel` varchar(100) DEFAULT NULL,
  `wuhanylabel` varchar(100) DEFAULT NULL,
  `wuhanxlabel` varchar(100) DEFAULT NULL,
  `yyzz` varchar(1000) DEFAULT NULL,
  `xydm` varchar(100) DEFAULT NULL,
  `scsfz` varchar(1000) DEFAULT NULL,
  `fgrs` varchar(100) DEFAULT NULL,
  `isphonechange` char(1) DEFAULT '1',
  `isremarkyq` char(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `openid` (`openid`) USING BTREE,
  KEY `pid` (`openid`,`pid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=144 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='小区';

");

if(!pdo_fieldexists('diygw_crdj_xiaoqu','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','pid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `pid` int(11) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `openid` varchar(32) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','valuecode')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `valuecode` varchar(200) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','value')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `value` varchar(200) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','country')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `country` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','city')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `city` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','province')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `province` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','address')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `address` varchar(100) DEFAULT NULL COMMENT '位置'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','audit')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `audit` char(1) DEFAULT '0' COMMENT '0:不用认证，1:人员需要认证'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isstate')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isstate` char(1) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isjccs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isjccs` char(1) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','jckssj')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `jckssj` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','istemperature')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `istemperature` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isaddress')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isaddress` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isidcard')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isidcard` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isidcardyx')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isidcardyx` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','iscar')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `iscar` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isremark')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isremark` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isgroup')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isgroup` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','jrcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `jrcs` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','days')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `days` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','cqcs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `cqcs` int(10) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','createtime')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `createtime` datetime DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','addresslabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `addresslabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','addresstip')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `addresstip` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','remarklabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `remarklabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','remarktip')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `remarktip` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','status')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `status` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','type')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `type` char(1) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','title')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `title` varchar(200) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','phone')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `phone` varchar(100) DEFAULT NULL COMMENT '管理电话'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','iscarxs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `iscarxs` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isidcardxs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isidcardxs` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','password')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `password` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isaddressxs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isaddressxs` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isaddressbt')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isaddressbt` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isctemperature')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isctemperature` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','wuhanlabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `wuhanlabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','statelabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `statelabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','carlabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `carlabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','cartip')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `cartip` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isaddressdw')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isaddressdw` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','ishealth')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `ishealth` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','iswuhanchange')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `iswuhanchange` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','wuhanwlabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `wuhanwlabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','wuhanylabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `wuhanylabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','wuhanxlabel')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `wuhanxlabel` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','yyzz')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `yyzz` varchar(1000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','xydm')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `xydm` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','scsfz')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `scsfz` varchar(1000) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','fgrs')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `fgrs` varchar(100) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isphonechange')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isphonechange` char(1) DEFAULT '1'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','isremarkyq')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   `isremarkyq` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('diygw_crdj_xiaoqu','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqu')." ADD   KEY `openid` (`openid`) USING BTREE");}
pdo_query("CREATE TABLE IF NOT EXISTS `ims_diygw_crdj_xiaoqugly` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `xiaoquid` int(11) DEFAULT NULL COMMENT '统一ID',
  `uniacid` int(11) DEFAULT NULL COMMENT '统一ID',
  `openid` varchar(32) DEFAULT NULL,
  `isdingyue` char(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `openid` (`openid`) USING BTREE,
  KEY `xiaoquid` (`xiaoquid`,`openid`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;

");

if(!pdo_fieldexists('diygw_crdj_xiaoqugly','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD 
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','xiaoquid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   `xiaoquid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','uniacid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   `uniacid` int(11) DEFAULT NULL COMMENT '统一ID'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   `openid` varchar(32) DEFAULT NULL");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','isdingyue')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   `isdingyue` char(1) DEFAULT '0'");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','id')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   PRIMARY KEY (`id`)");}
if(!pdo_fieldexists('diygw_crdj_xiaoqugly','openid')) {pdo_query("ALTER TABLE ".tablename('diygw_crdj_xiaoqugly')." ADD   KEY `openid` (`openid`) USING BTREE");}
