<?php
global $_GPC, $_W;
$operation = !empty($_GPC['op']) ? $_GPC['op'] : 'display';
include IA_ROOT.'/framework/library/phpexcel/PHPExcel.php';
include IA_ROOT.'/framework/library/phpexcel/PHPExcel/IOFactory.php';
function dataExcel($title=array(),$data=array(),$expTitle)
{

    $fileName = $expTitle . date('_YmdHis'); // or $xlsTitle 文件名称可根据自己情况设定

    $_file = $expTitle.".xls";//定义文件名

    $_file = iconv("utf-8", "gb2312", $_file);
    $objPHPExcel = new PHPExcel(); //实例化 phpexcel类


    //$objProps = $objPHPExcel->getProperties();
    //设置表头

    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);


    $ichar =  ord("A"); //初始节点头A
    foreach($title as $k => $v){
        $colum = chr($ichar);
        $objPHPExcel->getActiveSheet() ->setCellValue($colum.'1', $v['name']);
        $v['width'] = empty($v['width'])?20:$v['width'];
        $objPHPExcel->getActiveSheet()->getColumnDimension($colum)->setWidth($v['width']); //设置宽度
        $ichar += 1;
    }

    //内容列表

    $column = 2;
    $objActSheet = $objPHPExcel->getActiveSheet();

    foreach($data as $key => $rows){ //行写入
        $span = ord("A");
        foreach($rows as $keyName=>$value){// 列写入
            $j = chr($span);

            if(empty($value)){
                $value="";
            }
            $objActSheet->setCellValueExplicit($j.$column, $value, PHPExcel_Cell_DataType::TYPE_STRING);
            $span++;
        }
        $column++;

    }

    //重命名表
    $objPHPExcel->getActiveSheet()->setTitle($expTitle);
    //设置活动单指数到第一个表,所以Excel打开这是第一个表
    $objPHPExcel->setActiveSheetIndex(0);
    //将输出重定向到一个客户端web浏览器(Excel2007)
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Disposition: attachment; filename=\"$_file\"");
    header('Cache-Control: max-age=0');
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save('php://output');


    exit;

}


$pindex = max(1, intval($_GPC['page']));
$psize = 15;
$params = array(':uniacid' => $_W['uniacid']);
$condition = ' WHERE c.xiaoquid=x.id and c.`uniacid` = :uniacid ';
if(!empty($_GPC['xiaoquid'])){
    $xiaoqudata = pdo_get('diygw_crdj_xiaoqu',['id'=>$_GPC['xiaoquid']]);
}
$ctype = $_GPC['ctype'];
if($ctype=='1'){
    $condition  = " $condition and c.status=1  ";
}
if($ctype=='0'){
    $condition  =  " $condition and c.status=0  ";
}
$keyword = $_GPC['keyword'];
if(!empty($keyword)){

    $keywordtypes = $_GPC['keywordtypes'];

    $_GET['keyword'] = $_GPC['keyword'];
    $_GET['keywordtypes'] = $keywordtypes;

    if($keywordtypes=='idcard'){
        $condition ="$condition  and c.idcard=:title ";
        $params[':title'] = "{$_GPC['keyword']}";
    }
    elseif($keywordtypes=='phone'){
        $condition ="$condition  and c.phone=:title ";
        $params[':title'] = "{$_GPC['keyword']}";
    }
    else if($keywordtypes=='title'){
        $condition ="$condition  and c.title  like :title ";
        $params[':title'] = "%{$_GPC['keyword']}%";
    }
}

if(!empty($_GPC['start_time'])){
    $start_time['start'] = $_GPC['start_time']['start'];
    $start_time['end'] = $_GPC['start_time']['end'];
    $_GET['starttime'] = $start_time['start'].' - '.$start_time['end'];
    $start = $start_time['start']." 00:00:00" ;
    $end = $start_time['end']." 23:59:59";
    $condition=$condition." and c.createtime between :start and :end ";
    $params[':start'] = $start;
    $params[':end'] = $end;
}else if(!empty($_GPC['starttime'])){
    $times=explode(' - ',$_GET['starttime']);
    $start_time['start'] = $times[0];
    $start_time['end'] = $times[1];
    $_GET['starttime'] = $start_time['start'].' - '.$start_time['end'];
    $start = $start_time['start']." 00:00:00" ;
    $end = $start_time['end']." 23:59:59";
    $condition=$condition." and c.createtime between :start and :end ";
    $params[':start'] = $start;
    $params[':end'] = $end;
}



$people=tablename('diygw_crdj_peoplenotin');
$xiaoqu=tablename('diygw_crdj_xiaoqu');
if(!empty($xiaoqudata)){
    if($xiaoqudata['type']==1){
        $peoplecount =pdo_fetchcolumn("select count(*) from $people where xiaoquid=:xiaoquid and status=1",[':xiaoquid'=>$xiaoqudata['id']]);
        $condition .= ' and c.`xiaoquid` = :xiaoquid ';
        $params[':xiaoquid']=$_GPC['xiaoquid'];
    }else{
        $peoplecount =pdo_fetchcolumn("select count(*) from $people where xiaoquid in(select id from $xiaoqu where pid=:pid and status=1)",[':pid'=>$xiaoqudata['id']]);
        $xiaoqu =  "(select id,address from $xiaoqu where pid=:pid)";

        $params[':pid'] = $xiaoqudata['id'];
    }
}
if(!empty($_GPC['type'])) {//导出数据
    $title = [['name' => '姓名'], ['name' => '身份证'], ['name' => '电话'], ['name' => '状态'], ['name' => '地址']];

    $sql = "SELECT c.title,c.idcard,c.phone,case when c.status=1 then '已审批' else '待审批' end as status,x.address xqaddress FROM $people c ,$xiaoqu x  $condition   ORDER BY  c.id  DESC ";
    $peoplelist = pdo_fetchall($sql, $params);
    dataExcel($title, $peoplelist, '人员记录');
    exit;
}
$sql = "SELECT COUNT(*) FROM $people c ,$xiaoqu x  $condition " ;
$total = pdo_fetchcolumn($sql, $params);
if (!empty($total)) {

    $pindex = max(1, intval($_GPC['page']));
    $psize = 30;
    $start = ($pindex - 1) * $psize ;

    $sql = "SELECT c.*,x.address xqaddress FROM $people c ,$xiaoqu x  $condition   ORDER BY  c.id  DESC LIMIT   $start,$psize ";
    $peoplelist = pdo_fetchall($sql, $params);
    $peoplepager = pagination($total, $pindex, $psize);
}
include $this->template('web/xiaoqupeoplenoin');

