Component({
    properties: {
        label: {
            type: String,
            value: "标题"
        },
        isLabel: {
            type: Boolean,
            value: !0
        },
        isLine: {
            type: Boolean,
            value: !0
        },
        date: {
            type: null,
            value: ""
        },
        disabled: {
            type: null,
            value: !1
        },
        borderclz: {
            type: String,
            value: ""
        }
    },
    data: {
        pickerArray: [],
        pickerIndex: [],
        chooseIndex: [],
        chooseArray: [],
        dateString: ""
    },
    methods: {
        _onInit: function() {
            var e = [ 3, 6, 5 ];
            if (this.data.date) {
                e = [];
                for (var t = this.data.date.replace(".", ""), a = 0; a < t.length; a++) e.push(t[a]);
            }
            var r = this.data.pickerArray, i = [];
            for (a = 3; a <= 4; a++) i.push({
                id: a,
                name: a
            });
            var n = [];
            for (a = 0; a <= 9; a++) n.push({
                id: a,
                name: a + " . "
            });
            for (var d = [], o = 0; o <= 9; o++) d.push({
                id: o,
                name: o
            });
            r[0] = i, r[1] = n, r[2] = d;
            var s = {
                day: e[0],
                time: e[1],
                division: e[2]
            };
            s.dateString = s.day + "" + s.time + "." + s.division;
            var c = [ this.getArrayIndex(i, e[0]), this.getArrayIndex(n, e[1]), this.getArrayIndex(d, e[2]) ];
            this.setData({
                pickerArray: r,
                pickerIndex: c,
                dateString: s.dateString
            }), this.triggerEvent("change", s.dateString);
        },
        getArrayIndex: function(e, t) {
            for (var a = 0; a < e.length; a++) if (e[a].id == t) return a;
            return 0;
        },
        _getNumOfDays: function(e, t) {
            var a = 2 < arguments.length && void 0 !== arguments[2] ? arguments[2] : 0;
            return new Date(e, t, a).getDate();
        },
        pickerChange: function(e) {
            var t = e.detail.value;
            console.log(t);
            var a = this.data.pickerArray[0][t[0]].id + "" + this.data.pickerArray[1][t[1]].id + "." + this.data.pickerArray[2][t[2]].id;
            this.setData({
                chooseIndex: e.detail.value,
                chooseArray: this.data.pickerArray,
                dateString: a
            }), this.triggerEvent("change", a);
        },
        pickerColumnChange: function(e) {
            var t = {
                pickerArray: this.data.pickerArray,
                pickerIndex: this.data.pickerIndex
            };
            t.pickerIndex[e.detail.column] = e.detail.value, this.setData(t);
        },
        pickerCancel: function(e) {
            this.setData({
                pickerIndex: this.data.chooseIndex,
                pickerArray: this.data.chooseArray
            });
        }
    },
    attached: function() {},
    ready: function() {
        console.log("进入ready外层节点=", this.data.date), this._onInit();
    },
    lifetimes: {
        attached: function() {},
        detached: function() {},
        ready: function() {
            console.log("进入ready节点=", this.data.date), this._onInit();
        }
    }
});