var App = getApp();

Component({
    properties: {
        label: {
            type: String,
            value: "标题"
        },
        isLabel: {
            type: Boolean,
            value: !0
        },
        isRequire: {
            type: Boolean,
            value: !1
        },
        imageList: {
            type: Array,
            value: []
        },
        isEdit: {
            type: Boolean,
            value: !0
        },
        isPain: {
            type: Boolean,
            value: !1
        },
        painKey: {
            type: String,
            value: ""
        },
        description: {
            type: String,
            value: ""
        },
        borderclz: {
            type: String,
            value: ""
        },
        isOne: {
            type: Boolean,
            value: !1
        },
        isCropper: {
            type: Boolean,
            value: !1
        }
    },
    data: {
        fileBasePath: App.siteInfo.fileBasePath,
        autoFocus: !1
    },
    lifetimes: {
        attached: function() {
            this.data.imageList && 0 < this.data.imageList.length && 0 < this.data.imageList[0].indexOf("tuan/user1.png") && this.setData({
                imageList: []
            });
        }
    },
    methods: {
        handleImgUpload: function(e, i) {
            if (this.data.isPain) this.triggerEvent("change", this.data.painKey), App.navigateTo("painting"); else if (this.data.isCropper) this.triggerEvent("change", this.data.painKey), 
            wx.chooseImage({
                count: 1,
                sizeType: [ "original", "compressed" ],
                sourceType: [ "album", "camera" ],
                success: function(t) {
                    var a = t.tempFilePaths[0];
                    App.navigateTo("cropper", {
                        src: a
                    });
                }
            }); else {
                var t = {
                    count: 9
                };
                0 <= i && (t.count = 1), this.data.isOne && (t.count = 1), App.uploadImg(function(t) {
                    var a = e.data.imageList;
                    -1 == i ? a = a.concat(t) : a[i] = t[0], e.setData({
                        imageList: a
                    }), e.triggerEvent("change", e.data.imageList);
                }, t);
            }
        },
        addMulti: function(t) {
            this.handleImgUpload(this, -1);
        },
        delMulti: function(t) {
            var a = this.data.imageList, e = t.currentTarget.dataset.index;
            a.splice(e, 1), this.setData({
                imageList: a
            }), this.triggerEvent("change", this.data.imageList);
        },
        clickMulti: function(a) {
            var e = this, i = a.currentTarget.dataset.index;
            "img" == a.currentTarget.dataset.multitype && (this.data.isPain && !this.data.isEdit ? wx.previewImage({
                current: e.data.imageList[i],
                urls: e.data.imageList
            }) : wx.showActionSheet({
                itemList: [ this.data.isPain ? "替换签名" : "替换图片", this.data.isPain ? "放大签名" : "放大图片", "删除" ],
                success: function(t) {
                    0 == t.tapIndex ? e.handleImgUpload(e, i) : 1 == t.tapIndex ? wx.previewImage({
                        current: e.data.imageList[i],
                        urls: e.data.imageList
                    }) : 2 == t.tapIndex && e.delMulti(a);
                }
            }));
        }
    }
});