var App = getApp();

Page({
    data: {
        show: !0,
        form: {
            name: "",
            gender: "0",
            tel: "",
            address: "",
            is_def: !1
        },
        radio: [ {
            name: "先生",
            value: "0",
            checked: !0
        }, {
            name: "女士",
            value: "1"
        } ]
    },
    onLoad: function(e) {
        this.WxValidate = App.WxValidate({
            name: {
                required: {
                    message: "请输入收货人姓名"
                },
                minlength: {
                    value: 2,
                    message: "收货人姓名长度不能小于2"
                }
            },
            tel: {
                required: {
                    message: "请输入收货人电话"
                },
                tel: {
                    message: "请输入正确收货人电话"
                }
            },
            address: {
                required: {
                    message: "请输入收货人地址"
                },
                minlength: {
                    value: 2,
                    message: "收货人地址长度不能小于2"
                }
            }
        }), this.setData({
            id: e.id
        }), e && this.setData({
            globalOption: e
        });
    },
    onShow: function() {
        this.renderForm(this.data.id);
    },
    renderForm: function(e) {
        var t = this;
        App.HttpService.getData({
            id: e,
            login: "1"
        }, "/address/data.html").then(function(a) {
            a = a.rows[0];
            var e = t.data.radio;
            a.is_def = a.isDef || a.is_def, e.forEach(function(e) {
                return e.checked = e.value === a.gender;
            }), t.setData({
                show: !a.is_def,
                radio: e,
                form: a
            });
        });
    },
    radioChange: function(e) {
        console.log("radio发生change事件，携带value值为：", e.detail.value);
        e.detail.value;
        var a = e.detail.value, t = this.data.radio;
        t.forEach(function(e) {
            return e.checked = e.value === a;
        }), this.setData({
            radio: t,
            "form.gender": a
        });
    },
    submitForm: function(e) {
        var a = this, t = e.detail.value, s = this.data.id;
        if (console.log(t), !this.WxValidate.checkForm(e)) {
            var i = this.WxValidate.errorList[0];
            return App.WxService.showModal({
                title: "友情提示",
                content: i.param + " : " + i.msg,
                showCancel: !1
            }), !1;
        }
        t.id = s, t.login = "1", App.HttpService.saveData(t, "/address/save.html").then(function(e) {
            "success" == e.status && a.showToast(e.message);
        });
    },
    del: function(e) {
        var a = e.currentTarget.dataset.id;
        App.WxService.showModal({
            title: "友情提示",
            content: "确定要删除这个地址吗？"
        }).then(function(e) {
            1 == e.confirm && App.HttpService.postData({
                login: "1",
                "values[]": a
            }, "/address/delete.html").then(function() {
                return App.navigateTo("/pages/address/list/index");
            });
        });
    },
    showToast: function(e) {
        var a = "/pages/address/list/index";
        this.data.globalOption && this.data.globalOption.backurl && (a = decodeURIComponent(this.data.globalOption.backurl)), 
        App.WxService.showToast({
            title: e,
            icon: "success",
            duration: 1500
        }).then(function() {
            return App.navigateTo(a);
        });
    },
    chooseLocation: function() {
        var a = this;
        App.WxService.chooseLocation().then(function(e) {
            console.log(e), a.setData({
                "form.address": e.address
            });
        });
    }
});