Object.defineProperty(exports, "__esModule", {
    value: !0
});

var SESSION_KEY = "user_session_diygw_com", REDIRECT_SESSION_KEY = "redirect_session_diygw_com", Session = {
    getRedirecturl: function() {
        return wx.getStorageSync(REDIRECT_SESSION_KEY) || null;
    },
    setRedirecturl: function(e) {
        wx.setStorageSync(REDIRECT_SESSION_KEY, e);
    },
    getUser: function() {
        return wx.getStorageSync(SESSION_KEY) || null;
    },
    setUser: function(e) {
        wx.setStorageSync(SESSION_KEY, e);
    },
    clearUser: function() {
        wx.removeStorageSync("userInfo"), wx.removeStorageSync(SESSION_KEY);
    },
    getNickName: function() {
        var e = this.getUser();
        return e ? e.nickName || e.nickname : "";
    },
    getToken: function() {
        var e = this.getUser();
        return e ? e.token : null;
    },
    getSessionid: function() {
        var e = this.getUser();
        return e ? e.sessionid : null;
    },
    isLogin: function() {
        return !!this.getUser();
    },
    getOpenId: function() {
        var e = this.getUser();
        return e ? e.sessionid || e.sessionid : null;
    },
    getUid: function() {
        var e = this.getUser();
        return e ? e.memberInfo.uid : "";
    },
    getAvatarUrl: function() {
        var e = this.getUser();
        return e ? e.avatarUrl : "https://xcx.0760k.com/static/upload/images/bmy/qrcode/logo.png";
    },
    login: function(t) {
        var n = this, r = this, i = void 0;
        r.WxService.login().then(function(e) {
            return i = e.code, r.WxService.getUserInfo();
        }).then(function(e) {
            return r.HttpService.wechatDecryptData({
                dashboardid: r.Config.dashboardid,
                encryptedData: e.encryptedData,
                iv: e.iv,
                rawData: e.rawData,
                signature: e.signature,
                code: i,
                loadmsg: "正在登录...",
                debug: r.Config.debug ? "1" : "0"
            });
        }).then(function(e) {
            r.hideLoading(), 0 == e.code ? (r.Session.setUser(e), n.globalData.userInfo = e, 
            "function" == typeof t && t(!0)) : ("function" == typeof t && t(!1), r.WxService.showModal({
                title: "友情提示",
                content: "获取用户登录状态失败，请重新登录",
                showCancel: !1
            }));
        });
    }
};

exports.default = Session;