<?php
global $_GPC, $_W;
$operation = !empty($_GPC['op']) ? $_GPC['op'] : 'display';

include IA_ROOT.'/framework/library/phpexcel/PHPExcel.php';
include IA_ROOT.'/framework/library/phpexcel/PHPExcel/IOFactory.php';
/**
 * 导出数据为excal文件
 *
 * @param unknown $expTitle
 * @param unknown $expCellName
 * @param unknown $expTableData
 */
function changestatus($status){
    if(empty($status)){
        return '正常';
    }
    $arr = explode(",",$status);
    sort($arr);
    $value=['发热','乏力','干咳'];
    foreach ($arr as $item){
        $val[]=$value[$item];
    }
    return implode(",",$val);
}
function getSuizhongs($suizhongs ,$suizhong){
    if(!empty($suizhongs)){
        if($suizhong!=''){
            foreach ($suizhongs as $index=>$item){
                if($index==$suizhong){
                    return $item;
                }
            }
        }

    }
    return '';
}
function dataExcel($title=array(),$data=array(),$expTitle,$suizhongs)
{

    $fileName = $expTitle . date('_YmdHis'); // or $xlsTitle 文件名称可根据自己情况设定

    $_file = $expTitle.".xls";//定义文件名

    $_file = iconv("utf-8", "gb2312", $_file);
    $objPHPExcel = new PHPExcel(); //实例化 phpexcel类


    //$objProps = $objPHPExcel->getProperties();
    //设置表头

    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);


    $ichar =  ord("A"); //初始节点头A
    foreach($title as $k => $v){
        $colum = chr($ichar);
        $objPHPExcel->getActiveSheet() ->setCellValue($colum.'1', $v['name']);
        $v['width'] = empty($v['width'])?20:$v['width'];
        $objPHPExcel->getActiveSheet()->getColumnDimension($colum)->setWidth($v['width']); //设置宽度
        $ichar += 1;
    }

    //内容列表

    $column = 2;
    $objActSheet = $objPHPExcel->getActiveSheet();

    foreach($data as $key => $rows){ //行写入
        $span = ord("A");
        foreach($rows as $keyName=>$value){// 列写入
            $j = chr($span);
            if($keyName=='status'){
                $value =changestatus($value);
            }else if($keyName=='suizhong'){
                $value =getSuizhongs($suizhongs,$value);
            }
            if(empty($value)){
                $value="";
            }
            $objActSheet->setCellValueExplicit($j.$column, $value, PHPExcel_Cell_DataType::TYPE_STRING);
            $span++;
        }
        $column++;

    }

    //重命名表
    $objPHPExcel->getActiveSheet()->setTitle($expTitle);
    //设置活动单指数到第一个表,所以Excel打开这是第一个表
    $objPHPExcel->setActiveSheetIndex(0);
    //将输出重定向到一个客户端web浏览器(Excel2007)
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Disposition: attachment; filename=\"$_file\"");
    header('Cache-Control: max-age=0');
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save('php://output');


    exit;

}

if($operation=='display'){
	 $pindex = max(1, intval($_GPC['page']));
	 $psize = 15;
	 $params = array(':uniacid' => $_W['uniacid']);
	 $condition = ' WHERE c.xiaoquid=x.id and c.`uniacid` = :uniacid ';
	 if(!empty($_GPC['xiaoquid'])){

         $xiaoqudata = pdo_get('diygw_crdj_xiaoqu',['id'=>$_GPC['xiaoquid']]);

     }
    $suizhongconfig = pdo_get('diygw_crdj_config',['name'=>'suizhong','uniacid'=>$_W['uniacid']]);

    if($suizhongconfig) {
        $suizhongs = explode(",", $suizhongconfig['value']);
    }
    if($_GPC['suizhong']!=''){
        $issuizhong =true;
        $_GET['suizhong'] = $_GPC['suizhong'];
        $condition = $condition.' and c.suizhong=:suizhong ';
        $params[':suizhong'] = $_GPC['suizhong'];
    }
    $ctype = $_GPC['ctype'];
    if($ctype=='1'){
        $condition  = " $condition and c.type=1  ";
    }
    if($ctype=='0'){
        $condition  =  " $condition and c.type=0  ";
    }
    $_GET['ctype'] = $ctype;
    $keyword = $_GPC['keyword'];
    if(!empty($keyword)){

        $keywordtypes = $_GPC['keywordtypes'];

        $_GET['keyword'] = $_GPC['keyword'];
        $_GET['keywordtypes'] = $keywordtypes;

        if($keywordtypes=='idcard'){
            $condition ="$condition  and c.idcard=:title ";
            $params[':title'] = "{$_GPC['keyword']}";
        }
        elseif($keywordtypes=='phone'){
            $condition ="$condition  and c.phone=:title ";
            $params[':title'] = "{$_GPC['keyword']}";
        }
        else if($keywordtypes=='title'){
            $condition ="$condition  and c.title  like :title ";
            $params[':title'] = "%{$_GPC['keyword']}%";
        }
    }

    if(!empty($_GPC['start_time'])){

        $start_time['start'] = $_GPC['start_time']['start'];
        $start_time['end'] = $_GPC['start_time']['end'];
    }else if(!empty($_GPC['starttime'])){
        $times=explode(' - ',$_GET['starttime']);
        $start_time['start'] = $times[0];
        $start_time['end'] = $times[1];
    }else{
        $start_time['start'] = date('Y-m-d', time());
        $start_time['end'] = date('Y-m-d', time());
    }

    $_GET['starttime'] = $start_time['start'].' - '.$start_time['end'];
    $start = $start_time['start']." 00:00:00" ;
    $end = $start_time['end']." 23:59:59";
    $condition=$condition." and c.createtime between :start and :end ";
    $params[':start'] = $start;
    $params[':end'] = $end;

    $churu=tablename('diygw_crdj_churu');
    $xiaoqu=tablename('diygw_crdj_xiaoqu');
    if(!empty($xiaoqudata)){
        if($xiaoqudata['type']==1){
            $condition .= ' and c.`xiaoquid` = :xiaoquid ';
            $params[':xiaoquid']=$_GPC['xiaoquid'];
        }else{
            $xiaoqu =  "(select id,province,city,country,address from $xiaoqu where pid=:pid)";
            $params[':pid'] = $xiaoqudata['id'];

        }

    }
    if(!empty($_GPC['type'])) {//导出数据
        $title = [['name' => '姓名'], ['name' => '身份证'], ['name' => '电话'], ['name' => '温度'], ['name' => '健康状态'], ['name' => '出入'], ['name' => '有无接触史'], ['name' => '小区'], ['name' => '地址'], ['name' => '车牌号'], ['name' => '时间'], ['name' => '来自哪'],['name' => '备注']];
        $sql = "SELECT c.title,c.idcard,c.phone,c.temperature,c.`status`,case when c.type=1 then '进' else '出' end as type,case when c.iswuhan=1 then '有' else '无' end as iswuhan,concat(x.province,x.city,x.country, x.address) xqaddress, c.address,c.car,c.createtime,c.suizhong, c.remark FROM $churu c ,$xiaoqu x  $condition   ORDER BY  c.id  DESC ";
        $churulist = pdo_fetchall($sql, $params);
        dataExcel($title, $churulist, '人员出入记录',$suizhongs);
        exit;
    }
	 $sql = "SELECT COUNT(*) FROM $churu c ,$xiaoqu x  $condition " ;
	 $total = pdo_fetchcolumn($sql, $params);	
	 if (!empty($total)) {

         $pindex = max(1, intval($_GPC['page']));
         $psize = 30;
         $start = ($pindex - 1) * $psize ;

        $sql = "SELECT c.*,x.province,x.city,x.country,x.address xqaddress FROM $churu c ,$xiaoqu x  $condition   ORDER BY  c.id  DESC LIMIT   $start,$psize ";
        $churulist = pdo_fetchall($sql, $params);
        foreach ($churulist as &$churu){
            $churu['suizhong']= getSuizhongs($suizhongs,$churu['suizhong']);
        }
        $churupager = pagination($total, $pindex, $psize);
	 }

}else if($operation=='editremark'){
     $id = intval($_GPC['id']);
     $churu = pdo_get('diygw_crdj_churu',['id'=>$id]);
     if($churu){
         pdo_insert('diygw_crdj_churubak',['createtime'=>date('Y-m-d H:i:s', time()),'remarkq'=>$churu['remark'],'remarkh'=>$_GPC['remark'],'churuid'=>$churu['id'],'uid'=>$_W['uid']]);
         pdo_update('diygw_crdj_churu',['remark'=>$_GPC['remark']],['id'=>$id]);
         exit(json_encode(['status'=>'success', 'message'=>'修改成功']));
     }else{
        exit(json_encode(['status'=>'error', 'message'=>'没有找到对应数据']));
     }


}else if($operation=='audit'){
    $id = intval($_GPC['id']);
    $row = pdo_update('diygw_crdj_churu',['status'=>'1'],['id'=>$id]);
    message('审批成功！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'success');
}else if($operation=='delete'){
	$id = intval($_GPC['id']);
	$row = pdo_get('diygw_crdj_churu',['id'=>$id]);
	if (empty($row)) {
		message('抱歉，不存在或是已经被删除！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'error');
	}
	pdo_delete('xiaoquo',['id'=>$id]);
	message('删除成功！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'success');
}

if(!empty($_GPC['type'])) {//导出数据
    $title = [['name' => '姓名'], ['name' => '身份证'], ['name' => '电话'], ['name' => '温度'], ['name' => '健康状态'], ['name' => '出入'], ['name' => '有无接触史'], ['name' => '小区'], ['name' => '地址'], ['name' => '车牌号'], ['name' => '时间'], ['name' => '备注']];
    $sql = "SELECT c.title,c.idcard,c.phone,c.temperature,c.`status`,case when c.type=1 then '进' else '出' end as type,case when c.iswuhan=1 then '有' else '无' end as iswuhan, x.address xqaddress, c.address,c.car,c.createtime,c.remark FROM $churu c ,$xiaoqu x,$xiaoqugly g where c.xiaoquid=x.id and g.xiaoquid=x.id and c.uniacid=$uniacid  and g.openid='$openid' $where";
    $churulist = pdo_fetchall($sql, $params);
    dataExcel($title, $churulist, '人员出入记录');
}else{
    include $this->template('web/churu');
}
