<?php
global $_GPC, $_W;
$operation = !empty($_GPC['op']) ? $_GPC['op'] : 'display';

include IA_ROOT.'/framework/library/phpexcel/PHPExcel.php';
include IA_ROOT.'/framework/library/phpexcel/PHPExcel/IOFactory.php';
/**
 * 导出数据为excal文件
 *
 * @param unknown $expTitle
 * @param unknown $expCellName
 * @param unknown $expTableData
 */

function dataExcel($title=array(),$data=array(),$expTitle)
{

    $fileName = $expTitle . date('_YmdHis'); // or $xlsTitle 文件名称可根据自己情况设定

    $_file = $expTitle.".xls";//定义文件名

    $_file = iconv("utf-8", "gb2312", $_file);
    $objPHPExcel = new PHPExcel(); //实例化 phpexcel类


    //$objProps = $objPHPExcel->getProperties();
    //设置表头

    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);


    $ichar =  ord("A"); //初始节点头A
    foreach($title as $k => $v){
        $colum = chr($ichar);
        $objPHPExcel->getActiveSheet() ->setCellValue($colum.'1', $v['name']);
        $v['width'] = empty($v['width'])?20:$v['width'];
        $objPHPExcel->getActiveSheet()->getColumnDimension($colum)->setWidth($v['width']); //设置宽度
        $ichar += 1;
    }

    //内容列表

    $column = 2;
    $objActSheet = $objPHPExcel->getActiveSheet();

    foreach($data as $key => $rows){ //行写入
        $span = ord("A");
        foreach($rows as $keyName=>$value){// 列写入
            $j = chr($span);
            if(empty($value)){
                $value="";
            }
            $objActSheet->setCellValueExplicit($j.$column, $value, PHPExcel_Cell_DataType::TYPE_STRING);
            $span++;
        }
        $column++;

    }

    //重命名表
    $objPHPExcel->getActiveSheet()->setTitle($expTitle);
    //设置活动单指数到第一个表,所以Excel打开这是第一个表
    $objPHPExcel->setActiveSheetIndex(0);
    //将输出重定向到一个客户端web浏览器(Excel2007)
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Disposition: attachment; filename=\"$_file\"");
    header('Cache-Control: max-age=0');
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save('php://output');


    exit;

}

if($operation=='display'){
	 $pindex = max(1, intval($_GPC['page']));
	 $psize = 15;
	 $params = array(':uniacid' => $_W['uniacid']);
	 $condition = ' WHERE p.uniacid = :uniacid  ';


	 $fromwuhan = $_GPC['fromwuhan'];
    $iswuhan = $_GPC['iswuhan'];
    if($iswuhan=='1'){
        $condition .= ' and p.iswuhan=1 ';
    }
    if($iswuhan=='0'){
        $condition .= ' and p.iswuhan=0 ';
    }

	 if(!empty($_GPC['xiaoquid'])){
         $condition .= ' and p.xiaoquid = :xiaoquid ';
         $params[':xiaoquid']=$_GPC['xiaoquid'];
     }

    $keyword = $_GPC['keyword'];
    if(!empty($keyword)){
        $_GET['keyword'] = $_GPC['keyword'];
        $condition =$condition."and( p.title  like :title or  p.address like :title or  p.phone like :title) ";
        $params[':title'] = "%{$_GPC['keyword']}%";
    }

    $peopleTable = tablename('diygw_crdj_people');
    $xiaoquTable = tablename('diygw_crdj_xiaoqu');

    if($_GPC['type']==1){
        $sql = "SELECT p.title,p.idcard,p.phone,p.address,'有' status,x.address xqaddress,p.createtime FROM $peopleTable p ,$xiaoquTable x $condition and p.xiaoquid=x.id order by x.id desc" ;
        $xiaoquolist = pdo_fetchall($sql, $params);
        $title = [['name' => '姓名'], ['name' => '身份证'], ['name' => '电话'], ['name' => '地址'], ['name' => '有无接触史'], ['name' => '所属'], ['name' => '时间']];
        dataExcel($title,$xiaoquolist,'有接触史人员');
    }else{
        $sql = "SELECT COUNT(*) FROM $peopleTable p ,$xiaoquTable x $condition and p.xiaoquid=x.id" ;
        $total = pdo_fetchcolumn($sql, $params);

        $pindex = max(1, intval($_GPC['page']));
        $psize = 10;
        $start = ($pindex - 1) * $psize ;

        if (!empty($total)) {
            $sql = "SELECT p.*,x.address xqaddress FROM $peopleTable p ,$xiaoquTable x $condition and p.xiaoquid=x.id order by p.id desc LIMIT $start,$psize " ;
            $xiaoquolist = pdo_fetchall($sql, $params);
            $xiaoquopager = pagination($total, $pindex, $psize);
        }
    }

}
include $this->template('web/wuhan');