<?php
global $_GPC, $_W;
$operation = !empty($_GPC['op']) ? $_GPC['op'] : 'display';

include IA_ROOT.'/framework/library/phpexcel/PHPExcel.php';
include IA_ROOT.'/framework/library/phpexcel/PHPExcel/IOFactory.php';
/**
 * 导出数据为excal文件
 *
 * @param unknown $expTitle
 * @param unknown $expCellName
 * @param unknown $expTableData
 */
function changestatus($status){
    if(empty($status)){
        return '正常';
    }
    $arr = explode(",",$status);
    sort($arr);
    $value=['发热','乏力','干咳'];
    foreach ($arr as $item){
        $val[]=$value[$item];
    }
    return implode(",",$val);
}
function dataExcel($title=array(),$data=array(),$expTitle)
{

    $fileName = $expTitle . date('_YmdHis'); // or $xlsTitle 文件名称可根据自己情况设定

    $_file = $expTitle.".xls";//定义文件名

    $_file = iconv("utf-8", "gb2312", $_file);
    $objPHPExcel = new PHPExcel(); //实例化 phpexcel类


    //$objProps = $objPHPExcel->getProperties();
    //设置表头

    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
    $objPHPExcel->getActiveSheet()->getDefaultStyle()->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);


    $ichar =  ord("A"); //初始节点头A
    foreach($title as $k => $v){
        $colum = chr($ichar);
        $objPHPExcel->getActiveSheet() ->setCellValue($colum.'1', $v['name']);
        $v['width'] = empty($v['width'])?20:$v['width'];
        $objPHPExcel->getActiveSheet()->getColumnDimension($colum)->setWidth($v['width']); //设置宽度
        $ichar += 1;
    }

    //内容列表

    $column = 2;
    $objActSheet = $objPHPExcel->getActiveSheet();

    foreach($data as $key => $rows){ //行写入
        $span = ord("A");
        foreach($rows as $keyName=>$value){// 列写入
            $j = chr($span);
            if($keyName=='status'){
                $value =changestatus($value);
            }
            if(empty($value)){
                $value="";
            }
            $objActSheet->setCellValueExplicit($j.$column, $value, PHPExcel_Cell_DataType::TYPE_STRING);
            $span++;
        }
        $column++;

    }

    //重命名表
    $objPHPExcel->getActiveSheet()->setTitle($expTitle);
    //设置活动单指数到第一个表,所以Excel打开这是第一个表
    $objPHPExcel->setActiveSheetIndex(0);
    //将输出重定向到一个客户端web浏览器(Excel2007)
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Disposition: attachment; filename=\"$_file\"");
    header('Cache-Control: max-age=0');
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save('php://output');


    exit;

}

if($operation=='display'){
	 $pindex = max(1, intval($_GPC['page']));
	 $psize = 15;
	 $params = array(':uniacid' => $_W['uniacid']);
     $condition = ' WHERE `uniacid` = :uniacid ';

    $pid = $_GPC['pid'];
    if(!empty($pid)){
        $condition =$condition." and pid=:pid ";
        $params[':pid'] =$pid;
    }

     $keyword = $_GPC['keyword'];
     if(!empty($keyword)){
         $_GET['keyword'] = $_GPC['keyword'];
        $condition =$condition."and( title  like :title or  address like :title or  phone like :title) ";
        $params[':title'] = "%{$_GPC['keyword']}%";
     }

     if($_GPC['type']=='export'){
         $title = [['name' => '地址'], ['name' => '联系人'], ['name' => '电话'], ['name' => '状态'], ['name' => '类型']];
         $xiaoqu = tablename('diygw_crdj_xiaoqu');
         $sql = "SELECT concat(x.province,x.city,x.country, x.address) xqaddress, x.title,x.phone,case when status=1 then '审批通过' ELSE '审批中' end status,case when type=0 then '社区' when type=1 and pid!=0 then concat('小区(社区标识:',x.pid,')') else '小区' end type  FROM $xiaoqu x  $condition   ORDER BY  id  DESC ";
         $churulist = pdo_fetchall($sql, $params);
         dataExcel($title, $churulist, '入驻信息表');
         exit;
     }
	 $sql = 'SELECT COUNT(*) FROM ' . tablename('diygw_crdj_xiaoqu') .$condition ;
	 $total = pdo_fetchcolumn($sql, $params);	
	 if (!empty($total)) {
		$sql = 'SELECT * FROM  ' .  tablename('diygw_crdj_xiaoqu') .$condition.' ORDER BY  id  DESC LIMIT ' . ($pindex - 1) * $psize . ',' . $psize;
		$xiaoquolist = pdo_fetchall($sql, $params);
		$xiaoquopager = pagination($total, $pindex, $psize);
	 }
    include $this->template('web/xiaoqugl');
}else if($operation=='changeshequ'){
    $id = intval($_GPC['id']);
    $xiaoqu = pdo_get('diygw_crdj_xiaoqu',['id'=>$id]);
    $xiaoqus = pdo_getall('diygw_crdj_xiaoqu',['type'=>0,'uniacid'=>$_W['uniacid']]);

    include $this->template('web/changeshequ');
}else if($operation=='saveshequ'){
    $id = intval($_GPC['id']);
    pdo_update('diygw_crdj_xiaoqu',['pid'=>$_GPC['pid']],['id'=>$id]);
    message('更新成功！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'success');
}else if($operation=='audit'){
    $id = intval($_GPC['id']);

    $row = pdo_update('diygw_crdj_xiaoqu',['status'=>$_GPC['status']],['id'=>$id]);
    message('审批成功！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'success');
}else if($operation=='delete'){
	$id = intval($_GPC['id']);
	$row = pdo_get('diygw_crdj_xiaoqu',['id'=>$id]);
	if (empty($row)) {
		message('抱歉，不存在或是已经被删除！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'error');
	}
	pdo_delete('diygw_crdj_xiaoqu',['id'=>$id]);
	message('删除成功！', $this->createWebUrl('xiaoqugl', array('op' => 'display')), 'success');
}
