var _extends = Object.assign || function(t) {
    for (var a = 1; a < arguments.length; a++) {
        var e = arguments[a];
        for (var i in e) Object.prototype.hasOwnProperty.call(e, i) && (t[i] = e[i]);
    }
    return t;
}, _util = require("../../utils/util"), _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(t) {
    return t && t.__esModule ? t : {
        default: t
    };
}

function _toConsumableArray(t) {
    if (Array.isArray(t)) {
        for (var a = 0, e = Array(t.length); a < t.length; a++) e[a] = t[a];
        return e;
    }
    return Array.from(t);
}

var app = getApp();

Component({
    properties: {
        drawDataList: {
            type: Object,
            value: {},
            observer: function(t) {
                "{}" != JSON.stringify(t) && this.initData(t);
            }
        }
    },
    data: {
        canvasData: {},
        qrcodeSrc: "",
        boxWidth: "",
        boxHeight: "",
        drawList: [],
        drawData: [],
        customData: {
            imageList: [],
            textList: []
        }
    },
    lifetimes: {
        attached: function() {}
    },
    observers: {
        drawDataList: function(t) {
            console.log("drawDataList");
        }
    },
    ready: function() {
        this.ctx = wx.createCanvasContext("image", this), this.drawImgInit();
    },
    methods: {
        initData: function(t) {
            var a = this.data, e = a.boxWidth, i = a.boxHeight, n = a.canvasData, o = a.drawList;
            t && (n = t.canvasData || "", o = t.content || "", e = t.canvasData.width || 750, 
            i = t.canvasData.height || 1334, n.width = parseInt(n.width) || 375, n.height = parseInt(n.canvasheight) || parseInt(n.height) || 667, 
            this.setData({
                boxWidth: e,
                boxHeight: i,
                canvasData: n,
                drawList: o
            }));
        },
        drawImgInit: function() {
            var t = this, a = t.data, e = a.canvasData, i = a.drawList, n = a.customData;
            wx.showLoading({
                title: e.loadTitle ? e.loadTitle : "正在生成"
            });
            var o = n.imageList, r = n.textList;
            for (var s in i.length && i.forEach(function(t, a) {
                switch (t.type) {
                  case "image":
                    o.push(t);
                    break;

                  case "text":
                    r.push(t);
                }
            }), e.width = parseInt(e.width) || 750, e.height = parseInt(e.height) || 1334, o) o[s].left = parseInt(o[s].left) || 0, 
            o[s].top = parseInt(o[s].top) || 0, o[s].width = parseInt(o[s].width) || 100, o[s].height = parseInt(o[s].height) || 100;
            for (var c in r) r[c].left = parseInt(r[c].left) || 0, r[c].top = parseInt(r[c].top) || 0, 
            r[c].fontSize = parseInt(r[c].fontSize) || 16, r[c].lineHeight = parseInt(r[c].lineHeight) || 16, 
            r[c].maxWidth = parseInt(r[c].maxWidth) || 300;
            t.data.drawData = [].concat(_toConsumableArray(o), _toConsumableArray(r)), t.downLoadImgs(o, 0, function() {
                t.beginDraw(), t.triggerEvent("change"), setTimeout(function() {
                    wx.hideLoading();
                }.bind(this), 500);
            });
        },
        downLoadImgs: function(a, e, i) {
            var n = this;
            a && e < a.length ? a[e].url && n.downLoadImg(a[e].url, a[e].comment).then(function(t) {
                a[e].url = t, e++, n.downLoadImgs(a, e, i);
            }, function(t) {
                console.log(t);
            }) : i();
        },
        closeShare: function() {
            this.triggerEvent("close");
        },
        downLoadImg: function(t, i) {
            return new Promise(function(a, e) {
                console.log(i + "下载中..."), wx.downloadFile({
                    url: t,
                    complete: function(t) {
                        200 === t.statusCode ? a(t.tempFilePath) : e(new Error("downloadFail fail"));
                    }
                });
            });
        },
        circleImg: function(t) {
            var a = t.url, e = t.left, i = t.top, n = t.width, o = parseInt(n);
            this.ctx.save();
            var r = 2 * o, s = e + o, c = i + o;
            this.ctx.arc(s, c, o, 0, 2 * Math.PI), this.ctx.clip(), this.ctx.drawImage(a, e, i, r, r), 
            this.ctx.restore();
        },
        drawImg: function(t) {
            var a = t.url, e = void 0 === a ? "" : a, i = t.top, n = void 0 === i ? 0 : i, o = t.left, r = void 0 === o ? 0 : o, s = t.width, c = void 0 === s ? 50 : s, l = t.height, h = void 0 === l ? 50 : l;
            t.shape;
            "circle" == t.shape ? this.circleImg(t) : this.ctx.drawImage(e, r, n, c, h);
        },
        fillText: function(t) {
            var a = t.fontSize, e = void 0 === a ? 16 : a, i = t.color, n = void 0 === i ? "#FFFFFF" : i, o = t.content, r = t.left, s = void 0 === r ? 0 : r, c = t.top, l = void 0 === c ? 0 : c, h = (t.textAlign, 
            t.lineHeight, t.maxLineNum, t.maxWidth, t.weight), d = void 0 === h ? "normal" : h, u = (o.split(""), 
            l + 20);
            this.ctx.setFillStyle(n), console.log(e), this.ctx.font = "normal " + d + " " + e + "px sans-serif", 
            this.ctx.fillText(o, s, u);
        },
        beginDraw: function() {
            var t = this, a = t.data, e = a.drawData, i = (a.customData, a.canvasData);
            for (var n in t.ctx.setFillStyle("#ffffff"), t.ctx.fillRect(0, 0, i.width, i.height), 
            e) switch (e[n].type) {
              case "image":
                t.drawImg(_extends({}, e[n])), 0;
                break;

              case "text":
                t.fillText(_extends({}, e[n]));
            }
            t.ctx.draw();
        },
        saveImage: function() {
            var a = this;
            _util2.default.showToast("生成中..."), wx.canvasToTempFilePath({
                canvasId: "image",
                fileType: "jpg",
                success: function(t) {
                    _util2.default.hideToast(), _util2.default.checkPermission("writePhotosAlbum", function() {
                        wx.saveImageToPhotosAlbum({
                            filePath: t.tempFilePath,
                            success: function(t) {
                                a.triggerEvent("close"), wx.showToast({
                                    title: "成功保存至相册"
                                });
                            },
                            error: function(t) {}
                        });
                    }, "保存图片需要获取您的授权");
                },
                fail: function(t) {
                    _util2.default.hideToast(), console.log(t), _util2.default.checkPermission("writePhotosAlbum", function() {
                        console.log("授权成功");
                    }, "保存图片需要获取您的授权");
                }
            }, a);
        }
    }
});