var App = getApp();

Page({
    data: {
        show: !0,
        form: {
            name: "",
            gender: "0",
            tel: "",
            address: "",
            is_def: !1
        },
        radio: [ {
            name: "先生",
            value: "0",
            checked: !0
        }, {
            name: "女士",
            value: "1"
        } ]
    },
    onLoad: function(e) {
        this.WxValidate = App.WxValidate({
            name: {
                required: {
                    message: "请输入收货人姓名"
                },
                minlength: {
                    value: 2,
                    message: "收货人姓名长度不能小于2"
                }
            },
            tel: {
                required: {
                    message: "请输入收货人电话"
                },
                tel: {
                    message: "请输入正确收货人电话"
                }
            },
            address: {
                required: {
                    message: "请输入收货人地址"
                },
                minlength: {
                    value: 2,
                    message: "收货人地址长度不能小于2"
                }
            }
        }), e && this.setData({
            globalOption: e
        });
    },
    radioChange: function(e) {
        e.detail.value;
        var a = e.detail.value, t = this.data.radio;
        t.forEach(function(e) {
            return e.checked = e.value === a;
        }), this.setData({
            radio: t,
            "form.gender": a
        });
    },
    submitForm: function(e) {
        var a = this, t = e.detail.value;
        if (!this.WxValidate.checkForm(e)) {
            var s = this.WxValidate.errorList[0];
            return App.WxService.showModal({
                title: "友情提示",
                content: "" + s.msg,
                showCancel: !1
            }), !1;
        }
        t.login = "1", App.HttpService.saveData(t, "/address/save.html").then(function(e) {
            "success" == e.status && a.showToast(e.message);
        });
    },
    showToast: function(e) {
        var a = "/pages/address/list/index";
        this.data.globalOption && this.data.globalOption.backurl && (a = decodeURIComponent(this.data.globalOption.backurl)), 
        App.WxService.showToast({
            title: e,
            icon: "success",
            duration: 1500
        }).then(function() {
            return App.navigateTo(a);
        });
    },
    chooseLocation: function() {
        var a = this;
        App.WxService.chooseLocation().then(function(e) {
            a.setData({
                "form.address": e.address
            });
        });
    }
});