var App = getApp();

Page({
    data: {
        address: {},
        prompt: {
            hidden: !0,
            icon: "../../../assets/images/iconfont-addr-empty.png",
            title: "还没有收货地址呢",
            text: "暂时没有相关数据"
        }
    },
    onLoad: function() {
        this.onPullDownRefresh();
    },
    initData: function() {
        this.setData({
            address: {
                items: [],
                params: {
                    table: "address",
                    login: "1",
                    page: 1,
                    limit: 10
                },
                paginate: {}
            }
        });
    },
    toAddressEdit: function(t) {
        console.log(t), App.WxService.navigateTo("/pages/address/edit/index", {
            id: t.currentTarget.dataset.id
        });
    },
    toAddressAdd: function(t) {
        console.log(t), App.WxService.navigateTo("/pages/address/add/index");
    },
    toAddressDel: function(t) {
        var e = this, a = t.currentTarget.dataset.id;
        App.WxService.showModal({
            title: "友情提示",
            content: "确定要删除这个地址吗？"
        }).then(function(t) {
            1 == t.confirm && App.HttpService.saveData({
                login: "1",
                "values[]": a
            }, "/address/delete.html").then(function() {
                return e.onPullDownRefresh();
            });
        });
    },
    showToast: function(t) {
        App.WxService.showToast({
            title: t,
            icon: "success",
            duration: 1500
        });
    },
    setDefalutAddress: function(t) {
        var e = this, a = t.currentTarget.dataset.id, s = this.data.address.items;
        s.forEach(function(t) {
            t.id == a ? t.isDef = 1 : t.isDef = 0;
        }), this.setData({
            "address.items": s
        }), App.HttpService.saveData({
            login: "1",
            is_def: 1,
            id: a
        }, "/address/save.html").then(function(t) {
            0 == t.code && e.showToast(t.message);
        });
    },
    getList: function() {
        var e = this, a = this.data.address, t = a.params;
        t.login = "1", App.HttpService.getData(t, "/address/data.html").then(function(t) {
            a.total = t.total, a.hasNext = a.params.page <= t.totalPage, a.params.page = a.params.page + 1, 
            a.items = t.rows, e.setData({
                address: a,
                "prompt.hidden": 0 != a.total
            });
        });
    },
    onPullDownRefresh: function() {
        this.initData(), this.getList();
    },
    onReachBottom: function() {
        this.data.address.hasNext && this.getList();
    }
});