var App = getApp();

Page({
    data: {
        carts: [],
        totalPrice: 0,
        totalChecked: !0,
        dashboardid: App.Config.dashboardid
    },
    onLoad: function() {},
    onShow: function() {
        this.getCarts();
    },
    getCarts: function() {
        var e = this;
        App.HttpService.getData({
            login: "1",
            redirecturl: "/pages/cart/index"
        }, "/cart/data.html").then(function(t) {
            if ("success" == t.status) {
                var a = 0;
                t.rows.forEach(function(t) {
                    t.linkImg = App.renderImage(t.img || t.link_img), t.linkTitle = t.linkTitle || t.link_title, 
                    t.linkPrice = t.linkPrice || t.link_price, t.linkTotal = t.linkTotal || t.link_total, 
                    t.checked = !0, a += t.linkPrice * t.linkTotal;
                }), e.setData({
                    carts: t.rows,
                    totalPrice: a
                });
            }
        });
    },
    onPullDownRefresh: function() {
        this.getCarts();
    },
    navigateTo: function(t) {
        App.WxService.navigateTo("/pages/goods/detail/index", {
            id: t.currentTarget.dataset.id
        });
    },
    confirmOrder: function(t) {
        var a = this.data.carts, e = [];
        a.forEach(function(t) {
            t.checked && e.push(t);
        }), App.WxService.setStorageSync("confirmOrder", e), App.WxService.navigateTo("/pages/order/confirm/index");
    },
    checkItem: function(t) {
        var a = this.data.carts, e = 0, c = t.currentTarget.dataset.id, i = a.length;
        a.forEach(function(t) {
            t.id == c && (t.checked = !t.checked), t.checked ? e += t.linkPrice * t.linkTotal : i--;
        }), this.setData({
            carts: a,
            totalPrice: e,
            totalChecked: i == a.length
        });
    },
    checkAll: function(t) {
        var a = !this.data.totalChecked, e = this.data.carts, c = 0;
        t.currentTarget.dataset.id, e.length;
        e.forEach(function(t) {
            t.checked = a, t.checked ? c += t.linkPrice * t.linkTotal : 0;
        }), this.setData({
            carts: e,
            totalPrice: c,
            totalChecked: !this.data.totalChecked
        });
    },
    del: function(a) {
        var e = this;
        App.WxService.showModal({
            title: "友情提示",
            content: "确定要删除这个宝贝吗？"
        }).then(function(t) {
            1 == t.confirm && App.HttpService.getData(a.currentTarget.dataset, "/cart/delete.html").then(function(t) {
                "success" == t.status && e.getCarts();
            });
        });
    },
    clear: function(a) {
        var e = this;
        App.WxService.showModal({
            title: "友情提示",
            content: "确定要清空购物车吗？"
        }).then(function(t) {
            1 == t.confirm && App.HttpService.getData(a.currentTarget.dataset, "/cart/clear.html").then(function(t) {
                "success" == t.status && e.getCarts();
            });
        });
    },
    onTapEdit: function(t) {
        this.setData({
            canEdit: !!t.currentTarget.dataset.value
        });
    },
    showToast: function(t) {
        App.WxService.showToast({
            title: t,
            icon: "success",
            duration: 1500
        });
    },
    changeCartTotal: function(a, e) {
        var c = this, t = this.data.carts, i = 0;
        t.forEach(function(t) {
            t.id == a && (t.linkTotal = e), t.checked && (i += t.linkPrice * t.linkTotal);
        }), this.setData({
            carts: t,
            totalPrice: i
        }), App.HttpService.saveData({
            login: "1",
            redirecturl: "/pages/cart/index",
            id: a,
            linktotal: e
        }, "/cart/changeCount.html").then(function(t) {
            "success" == t.status && c.showToast(t.message);
        });
    },
    bindKeyInput: function(t) {
        var a = t.currentTarget.dataset.id, e = Math.abs(t.detail.value);
        e <= 0 || 100 < e || this.changeCartTotal(a, e);
    },
    decrease: function(t) {
        var a = t.currentTarget.dataset.id, e = Math.abs(t.currentTarget.dataset.total);
        1 != e && (t.currentTarget.dataset.total = e - 1, this.changeCartTotal(a, e - 1));
    },
    increase: function(t) {
        var a = t.currentTarget.dataset.id, e = Math.abs(t.currentTarget.dataset.total);
        100 != e && (t.currentTarget.dataset.total = e + 1, this.changeCartTotal(a, e + 1));
    }
});