Object.defineProperty(exports, "__esModule", {
    value: !0
});

var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(e) {
    return typeof e;
} : function(e) {
    return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
}, _createClass = function() {
    function n(e, t) {
        for (var r = 0; r < t.length; r++) {
            var n = t[r];
            n.enumerable = n.enumerable || !1, n.configurable = !0, "value" in n && (n.writable = !0), 
            Object.defineProperty(e, n.key, n);
        }
    }
    return function(e, t, r) {
        return t && n(e.prototype, t), r && n(e, r), e;
    };
}(), _siteinfo = require("../siteinfo"), _siteinfo2 = _interopRequireDefault(_siteinfo), _Session = require("./Session"), _Session2 = _interopRequireDefault(_Session), _es6Promise = require("../assets/plugins/es6-promise"), _es6Promise2 = _interopRequireDefault(_es6Promise);

function _interopRequireDefault(e) {
    return e && e.__esModule ? e : {
        default: e
    };
}

function _classCallCheck(e, t) {
    if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function");
}

var ServiceBase = function() {
    function e() {
        _classCallCheck(this, e), Object.assign(this, {
            $$basePath: _siteinfo2.default.basePath
        }), this.__init();
    }
    return _createClass(e, [ {
        key: "__init",
        value: function() {
            this.__initDefaults(), this.__initMethods();
        }
    }, {
        key: "__initDefaults",
        value: function() {
            this.suffix = "Request", this.instanceSource = {
                method: [ "OPTIONS", "GET", "HEAD", "POST", "PUT", "DELETE", "TRACE", "CONNECT" ]
            };
        }
    }, {
        key: "__initMethods",
        value: function() {
            var i = this;
            for (var e in this.instanceSource) this.instanceSource[e].forEach(function(n, e) {
                i[n.toLowerCase() + i.suffix] = function() {
                    for (var e = arguments.length, t = Array(e), r = 0; r < e; r++) t[r] = arguments[r];
                    return i.__defaultRequest.apply(i, [ n ].concat(t));
                };
            });
        }
    }, {
        key: "getUrlParam",
        value: function(e, t) {
            var r = new RegExp("(^|&)" + t + "=([^&]*)(&|$)"), n = e.split("?")[1].match(r);
            return null != n ? unescape(n[2]) : null;
        }
    }, {
        key: "getQuery",
        value: function(e) {
            var t = [];
            if (-1 != e.indexOf("?")) for (var r = e.split("?")[1].split("&"), n = 0; n < r.length; n++) r[n].split("=")[0] && unescape(r[n].split("=")[1]) && (t[n] = {
                name: r[n].split("=")[0],
                value: unescape(r[n].split("=")[1])
            });
            return t;
        }
    }, {
        key: "getSign",
        value: function(e, t, r) {
            var n = require("../we7/resource/js/underscore.js"), i = require("../we7/resource/js/md5.js"), s = "", a = this.getUrlParam(e, "sign");
            if (a || t && t.sign) return !1;
            if (e && (s = this.getQuery(e)), t) {
                var o = [];
                for (var u in t) u && t[u] && (o = o.concat({
                    name: u,
                    value: t[u]
                }));
                s = s.concat(o);
            }
            s = n.sortBy(s, "name"), s = n.uniq(s, !0, "name");
            for (var l = "", f = (t = [], 0); f < s.length; f++) s[f] && s[f].name && s[f].value && t.push(s[f]);
            for (var d = 0; d < t.length; d++) t[d] && t[d].name && t[d].value && (l += t[d].name + "=" + t[d].value, 
            d < t.length - 1 && (l += "&"));
            return a = i(l + (r = r || "diygw_crdjtoken"));
        }
    }, {
        key: "__defaultRequest",
        value: function() {
            var e = 0 < arguments.length && void 0 !== arguments[0] ? arguments[0] : "", t = 1 < arguments.length && void 0 !== arguments[1] ? arguments[1] : "", r = 2 < arguments.length && void 0 !== arguments[2] ? arguments[2] : {}, n = 3 < arguments.length && void 0 !== arguments[3] ? arguments[3] : {}, i = 4 < arguments.length && void 0 !== arguments[4] ? arguments[4] : "json", s = Object.assign({}, this.setHeaders(), n);
            t = this.setUrl(t);
            var a = function(e, t) {
                for (var r = 0, n = t.length; r < n; ) {
                    var i = t[r++], s = t[r++];
                    e = e.then(i, s);
                }
                return e;
            };
            if (r.__isxcx__ = "1", r.dashboardid || (r.dashboardid = _siteinfo2.default.dashboardid), 
            r.mpid || (r.mpid = _siteinfo2.default.mpid), t = t + "&randtt=" + new Date().getTime(), 
            r.login && "1" === r.login) {
                var o = _Session2.default.getOpenId(), u = _Session2.default.getUid();
                o && (t = (t = (t = t + "&state=we7sid-" + o) + "&sessionid=" + o) + "&uid=" + _Session2.default.getUid());
            }
            r.user && "1" === r.user && u && (r.userid = _Session2.default.getUid());
            var l = this.getSign(t, [], "diygw_crdjtoken");
            l && (t = t + "&sign=" + l);
            var f = {
                url: t,
                data: r,
                header: s,
                method: e,
                dataType: i
            }, d = [], c = [], _ = this.setInterceptors(r), p = this.__resolve(f);
            return _.forEach(function(e, t) {
                (e.request || e.requestError) && d.push(e.request, e.requestError), (e.response || e.responseError) && c.unshift(e.response, e.responseError);
            }), p = (p = a(p = (p = a(p, d)).then(this.__http), c)).then(function(e) {
                return e.data;
            }, function(e) {
                return e;
            });
        }
    }, {
        key: "__http",
        value: function(e) {
            return new _es6Promise2.default.Promise(function(t, r) {
                e.success = function(e) {
                    return t(e);
                }, e.fail = function(e) {
                    return r(e);
                }, wx.request(e);
            });
        }
    }, {
        key: "__resolve",
        value: function(r) {
            return new _es6Promise2.default.Promise(function(e, t) {
                e(r);
            });
        }
    }, {
        key: "__reject",
        value: function(r) {
            return new _es6Promise2.default.Promise(function(e, t) {
                t(r);
            });
        }
    }, {
        key: "setUrl",
        value: function(e) {
            var t = _siteinfo2.default.siteroot + "?i=" + _siteinfo2.default.uniacid + "&v=" + _siteinfo2.default.version + "&from=wxapp&";
            if (t += "m=diygw_crdj&", 0 <= e.indexOf("/addons/diygw_crdj/data")) t += "c=entry&", 
            t += "a=wxapp&", t += "do=" + (e = e.split("/"))[4].split(".")[0] + "&"; else if (0 <= e.indexOf("/data")) {
                t += "c=entry&", t += "a=wxapp&", t += "do=" + (r = e.split("/"))[2].split(".")[0] + "&";
            } else {
                var r;
                (r = e.split("/"))[0] && (t += "c=" + r[0] + "&"), r[1] && (t += "a=" + r[1] + "&"), 
                r[2] && (t += "do=" + r[2] + "&");
            }
            return t;
        }
    }, {
        key: "setHeaders",
        value: function() {
            return {
                "Content-type": "application/x-www-form-urlencoded"
            };
        }
    }, {
        key: "setInterceptors",
        value: function(t) {
            return [ {
                request: function(e) {
                    return e.header = e.header || {}, e.requestTimestamp = new Date().getTime(), e.data.login && "1" === e.data.login && (e.header.Authorization = _Session2.default.getToken()), 
                    wx.showLoading({
                        title: e.data.loadmsg || "加载中..."
                    }), e.data.redirecturl && (_Session2.default.setRedirecturl(e.data.redirecturl), 
                    delete e.data.redirecturl), delete e.data.loadmsg, e;
                },
                requestError: function(e) {
                    return wx.hideToast(), e;
                },
                response: function(e) {
                    return e.responseTimestamp = new Date().getTime(), wx.hideLoading(), "object" != _typeof(e.data) || 401 !== e.data.status && 41009 != e.data.errno || (wx.removeStorageSync("userInfo"), 
                    _Session2.default.clearUser(), t.frompage && "toself" == t.frompage || wx.redirectTo({
                        url: "/diygw_crdj/pages/index/index"
                    })), e;
                },
                responseError: function(e) {
                    return wx.hideLoading(), e;
                }
            } ];
        }
    } ]), e;
}();

exports.default = ServiceBase;