Object.defineProperty(exports, "__esModule", {
    value: !0
});

var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(e) {
    return typeof e;
} : function(e) {
    return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
}, _createClass = function() {
    function r(e, t) {
        for (var n = 0; n < t.length; n++) {
            var r = t[n];
            r.enumerable = r.enumerable || !1, r.configurable = !0, "value" in r && (r.writable = !0), 
            Object.defineProperty(e, r.key, r);
        }
    }
    return function(e, t, n) {
        return t && r(e.prototype, t), n && r(e, n), e;
    };
}();

function _classCallCheck(e, t) {
    if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function");
}

var Tools = function() {
    function e() {
        _classCallCheck(this, e);
    }
    return _createClass(e, [ {
        key: "getFilenameExt",
        value: function(e) {
            var t = e.name.split(".");
            return t[t.length - 1];
        }
    }, {
        key: "getDaysLater",
        value: function(e) {
            var t = new Date();
            return new Date(t.valueOf() + 864e5 * e);
        }
    }, {
        key: "getUTCDateInSeconds",
        value: function(e) {
            var t = e.split("-");
            return new Date(t[0], t[1] - 1, t[2], 0, 0, 0).getTime() / 1e3;
        }
    }, {
        key: "getTimeInSeconds",
        value: function(e) {
            var t = e.split(":");
            return 60 * t[0] * 60 + 60 * t[1];
        }
    }, {
        key: "getTimeString",
        value: function(e) {
            var t = Math.floor(e / 60 / 60);
            t < 10 && (t = "0" + t);
            var n = Math.floor((e - 60 * t * 60) / 60);
            return n < 10 && (n = "0" + n), t + ":" + n;
        }
    }, {
        key: "isElemInArray",
        value: function(e, t) {
            for (var n = 0; n < e.length; n++) if (e[n] == t) return !0;
            return !1;
        }
    }, {
        key: "getDistance",
        value: function(e, t, n, r) {
            var i = a(t), u = a(r), o = i - u, l = a(e) - a(n), s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(o / 2), 2) + Math.cos(i) * Math.cos(u) * Math.pow(Math.sin(l / 2), 2)));
            return s *= 6378.137, Math.round(1e4 * s) / 10;
        }
    }, {
        key: "getCurrentDate",
        value: function() {
            var e = new Date(), t = e.getFullYear(), n = e.getMonth() + 1;
            return n < 10 && (n = "0" + n), [ t, n, e.getDate() ].join("-");
        }
    }, {
        key: "getCurrentTime",
        value: function() {
            var e = new Date();
            return [ e.getHours(), e.getMinutes() ].join(":");
        }
    }, {
        key: "replaceAll",
        value: function(e, t) {
            for (var n = t.length, r = "", i = 0; i < n; i++) r += "*";
            return e.replace(new RegExp(t, "gm"), r);
        }
    }, {
        key: "S4",
        value: function() {
            return (65536 * (1 + Math.random()) | 0).toString(16).substring(1);
        }
    }, {
        key: "uuid",
        value: function() {
            return this.S4() + this.S4() + "-" + this.S4() + "-" + this.S4() + "-" + this.S4() + "-" + this.S4() + this.S4() + this.S4();
        }
    }, {
        key: "getSizeMB",
        value: function(e) {
            return 1024 * e * 1024;
        }
    }, {
        key: "rand",
        value: function(e, t) {
            return Math.floor(Math.random() * (t - e + 1) + e);
        }
    }, {
        key: "randString",
        value: function(e) {
            var t = "", n = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
            for (e = e || 1; e--; ) t += n.charAt(this.rand(0, n.length - 1));
            return t;
        }
    }, {
        key: "randFilename",
        value: function(e) {
            return this.randString(this.rand(10, 100)) + Date.parse(new Date()) + "." + this.getFilenameExt(e);
        }
    }, {
        key: "compareTime",
        value: function(e) {
            var t = new Date(e), n = new Date();
            return 0 <= t.getTime() - n.getTime();
        }
    }, {
        key: "formatTime",
        value: function(e) {
            var t = (new Date(e) - new Date()) / 1e3;
            return t <= 0 ? "已经" : t < 60 ? "1分钟内" : t < 3600 ? (t / 60 | 0) + "分钟后" : t < 86400 ? (t / 3600 | 0) + "小时后" : (t / 86400 | 0) + "天后";
        }
    }, {
        key: "formatBl",
        value: function(e) {
            return (e = e.toString())[1] ? e : "0" + e;
        }
    }, {
        key: "formatDateTime",
        value: function(e) {
            if (!e) return "出错了";
            var t = (e = new Date(e)).getFullYear(), n = e.getMonth() + 1, r = e.getDate(), i = e.getHours(), u = e.getMinutes();
            e.getSeconds();
            return [ t, n, r ].map(this.formatBl).join("-") + " " + [ i, u ].map(this.formatBl).join(":");
        }
    }, {
        key: "formatDate",
        value: function(e, t) {
            var n = {
                "M+": (e = isNaN(e) ? e : new Date(e)).getMonth() + 1,
                "d+": e.getDate(),
                "H+": e.getHours(),
                "m+": e.getMinutes(),
                "s+": e.getSeconds(),
                "q+": Math.floor((e.getMonth() + 3) / 3),
                "f+": e.getMilliseconds()
            };
            for (var r in /(y+)/.test(t) && (t = t.replace(RegExp.$1, (e.getFullYear() + "").substr(4 - RegExp.$1.length))), 
            n) new RegExp("(" + r + ")").test(t) && (t = t.replace(RegExp.$1, 1 === RegExp.$1.length ? n[r] : ("00" + n[r]).substr(("" + n[r]).length)));
            return t;
        }
    }, {
        key: "isString",
        value: function(e) {
            return "string" == typeof e;
        }
    }, {
        key: "isTiWen",
        value: function(e) {
            return "" != e && 35 < e && e < 41 || "" == e;
        }
    }, {
        key: "isFunction",
        value: function(e) {
            return "function" === this.type(e);
        }
    }, {
        key: "isArray",
        value: function(e) {
            return Array.isArray(e);
        }
    }, {
        key: "isObject",
        value: function(e) {
            return null !== e && "object" === (void 0 === e ? "undefined" : _typeof(e));
        }
    }, {
        key: "isNumber",
        value: function(e) {
            return "number" == typeof e;
        }
    }, {
        key: "isDate",
        value: function(e) {
            return "[object Date]" === this.type(e);
        }
    }, {
        key: "isRegExp",
        value: function(e) {
            return "[object RegExp]" === this.type(e);
        }
    }, {
        key: "isFile",
        value: function(e) {
            return "[object File]" === this.type(e);
        }
    }, {
        key: "isFormData",
        value: function(e) {
            return "[object FormData]" === this.type(e);
        }
    }, {
        key: "isBlob",
        value: function(e) {
            return "[object Blob]" === this.type(e);
        }
    }, {
        key: "isBoolean",
        value: function(e) {
            return "boolean" == typeof e;
        }
    }, {
        key: "isPromiseLike",
        value: function(e) {
            return e && this.isFunction(e.then);
        }
    }, {
        key: "isTypedArray",
        value: function(e) {
            return e && this.isNumber(e.length) && /^\[object (?:Uint8|Uint8Clamped|Uint16|Uint32|Int8|Int16|Int32|Float32|Float64)Array\]$/.test(this.type(e));
        }
    }, {
        key: "isArrayBuffer",
        value: function(e) {
            return "[object ArrayBuffer]" === this.type(e);
        }
    }, {
        key: "isDefined",
        value: function(e) {
            return void 0 !== e;
        }
    }, {
        key: "isUndefined",
        value: function(e) {
            return void 0 === e;
        }
    }, {
        key: "isNull",
        value: function(e) {
            return null === e;
        }
    }, {
        key: "isFinite",
        value: function(t) {
            function e(e) {
                return t.apply(this, arguments);
            }
            return e.toString = function() {
                return t.toString();
            }, e;
        }(function(e) {
            return "number" == typeof e && isFinite(e);
        })
    }, {
        key: "isTextEmpty",
        value: function(e) {
            return !e || "undefined" == e || 0 == e.length;
        }
    }, {
        key: "hasSensitiveWords",
        value: function(e) {
            if ("" == e || null == e) return !1;
            for (var t = "第一代领导,第二代领导,第三代领导,第四代领导,第五代领导,第六代领导,第七代领导,第1代领导,第2代领导,第3代领导,第4代领导,第5代领导,第6代领导,第7代领导,一位老同志的谈话,国办发,中办发,腐败中国,三个呆婊,你办事我放心,社会主义灭亡,打倒中国,灭亡中国,亡党亡国,粉碎四人帮,激流中国,特共,zf大楼,殃视,贪污腐败,强制拆除,形式主义,政治风波,太子党,上海帮,北京帮,清华帮,红色贵族,权贵集团,河蟹社会,喝血社会,九风,9风,十七大,十7大,17da,九学,9学,四风,4风,双规,南街村,最淫官员,警匪,官匪,独夫民贼,官商勾结,城管暴力执法,强制捐款,毒豺,轮功,法轮,轮法功,三去车仑,氵去车仑,发论工,法x功,法o功,法0功,法一轮一功,轮子功,车仑工力,法lun,fa轮,法lg,flg,fl功,falungong,大法弟子,大纪元,dajiyuan,明慧网,明慧周报,正见网,新唐人,伪火,退党,tuidang,退dang,超越红墙,自fen,真善忍,九评,9评,9ping,九ping,jiuping,藏字石,集体自杀,自sha,zi杀,suicide,titor,逢8必灾,逢八必灾,逢9必乱,逢九必乱,朱瑟里诺,根达亚文明,诺查丹玛斯,人类灭亡进程表,按照马雅历法,推背图,推bei图,济世灵文,诸世纪,爱女人,爱液,按摩棒,拔出来,爆草,包二奶,暴干,暴奸,暴乳,爆乳,暴淫,屄,被操,被插,被干,逼奸,仓井空,插暴,操逼,操黑,操烂,肏你,肏死,操死,操我,厕奴,插比,插b,插逼,插进,插你,插我,插阴,潮吹,潮喷,成人电影,成人论坛,成人色情,成人网站,成人文学,成人小说,艳情小说,成人游戏,吃精,赤裸,抽插,扌由插,抽一插,春药,大波,大力抽送,大乳,荡妇,荡女,盗撮,多人轮,发浪,放尿,肥逼,粉穴,封面女郎,风月大陆,干死你,干穴,肛交,肛门,龟头,裹本,国产av,好嫩,豪乳,黑逼,后庭,后穴,虎骑,花花公子,换妻俱乐部,黄片,几吧,鸡吧,鸡巴,鸡奸,寂寞男,寂寞女,妓女,激情,集体淫,奸情,叫床,脚交,金鳞岂是池中物,金麟岂是池中物,精液,就去日,巨屌,菊花洞,菊门,巨奶,巨乳,菊穴,开苞,口爆,口活,口交,口射,口淫,裤袜,狂操,狂插,浪逼,浪妇,浪叫,浪女,狼友,聊性,流淫,铃木麻,凌辱,漏乳,露b,乱交,乱伦,轮暴,轮操,轮奸,裸陪,买春,美逼,美少妇,美乳,美腿,美穴,美幼,秘唇,迷奸,密穴,蜜穴,蜜液,摸奶,摸胸,母奸,奈美,奶子,男奴,内射,嫩逼,嫩女,嫩穴,捏弄,女优,炮友,砲友,喷精,屁眼,品香堂,前凸后翘,强jian,强暴,强奸处女,情趣用品,情色,拳交,全裸,群交,惹火身材,人妻,人兽,日逼,日烂,肉棒,肉逼,肉唇,肉洞,肉缝,肉棍,肉茎,肉具,揉乳,肉穴,肉欲,乳爆,乳房,乳沟,乳交,乳头,三级片,骚逼,骚比,骚女,骚水,骚穴,色逼,色界,色猫,色盟,色情网站,色区,色色,色诱,色欲,色b,少年阿宾,少修正,射爽,射颜,食精,释欲,兽奸,兽交,手淫,兽欲,熟妇,熟母,熟女,爽片,爽死我了,双臀,死逼,丝袜,丝诱,松岛枫,酥痒,汤加丽,套弄,体奸,体位,舔脚,舔阴,调教,偷欢,偷拍,推油,脱内裤,文做,我就色,无码,舞女,无修正,吸精,夏川纯,相奸,小逼,校鸡,小穴,小xue,写真,性感妖娆,性感诱惑,性虎,性饥渴,性技巧,性交,性奴,性虐,性息,性欲,胸推,穴口,学生妹,穴图,亚情,颜射,阳具,要射了,夜勤病栋,一本道,一夜欢,一夜情,一ye情,阴部,淫虫,阴唇,淫荡,阴道,淫电影,阴阜,淫妇,淫河,阴核,阴户,淫贱,淫叫,淫教师,阴茎,阴精,淫浪,淫媚,淫糜,淫魔,淫母,淫女,淫虐,淫妻,淫情,淫色,淫声浪语,淫兽学园,淫书,淫术炼金士,淫水,淫娃,淫威,淫亵,淫样,淫液,淫照,阴b,应召,幼交,幼男,幼女,欲火,欲女,玉女心经,玉蒲团,玉乳,欲仙欲死,玉穴,援交,原味内衣,援助交际,张筱雨,招鸡,招妓,中年美妇,抓胸,自慰,作爱,18禁,99bb,a4u,a4y,adult,amateur,anal,a片,fuck,gay片,g点,g片,hardcore,h动画,h动漫,incest,porn,secom,sexinsex,sm女王,xiao77,xing伴侣,tokyohot,yin荡,汉芯造假,杨树宽,中印边界谈判结果,喂奶门,摸nai门,酒瓶门,脱裤门,75事件,新疆骚乱,针刺,打针,食堂涨价,饭菜涨价,h1n1,瘟疫爆发,yangjia,y佳,yang佳,杨j,袭警,杀警,武侯祠,川b26931,px项目,骂四川,家l福,家le福,加了服,麦当劳被砸,豆腐渣,这不是天灾,龙小霞,震其国土,yuce,提前预测,地震预测,隐瞒地震,李四光预测,蟾蜍迁徙,地震来得更猛烈,八级地震毫无预报,踩踏事故,聂树斌,万里大造林,零八奥运艰,惨奥,奥晕,凹晕,懊运,懊孕,奥孕,奥你妈的运,反奥,628事件,weng安,wengan,翁安,瓮安事件,化工厂爆炸,讨回工资".split(","), n = t.length, r = 0; r < n; r++) {
                var i = t[r];
                if (0 <= e.indexOf(i) && "" != i) return i;
            }
            return !1;
        }
    }, {
        key: "isNaN",
        value: function(e) {
            return this.isNumber(e) && e != +e;
        }
    }, {
        key: "isError",
        value: function(e) {
            return "[object Error]" === this.type(e);
        }
    }, {
        key: "trim",
        value: function(e) {
            return this.isString(e) ? e.trim() : e;
        }
    }, {
        key: "escapeForRegexp",
        value: function(e) {
            return e.replace(/([-()\[\]{}+?*.$\^|,:#<!\\])/g, "\\$1").replace(/\x08/g, "\\x08");
        }
    }, {
        key: "makeMap",
        value: function(e) {
            for (var t = {}, n = e.split(","), r = 0; r < n.length; r++) t[n[r]] = !0;
            return t;
        }
    }, {
        key: "includes",
        value: function(e, t) {
            return -1 != Array.prototype.indexOf.call(e, t);
        }
    }, {
        key: "arrayRemove",
        value: function(e, t) {
            var n = e.indexOf(t);
            return 0 <= n && e.splice(n, 1), n;
        }
    }, {
        key: "addDateMinutes",
        value: function(e, t) {
            return (e = new Date(e.getTime())).setMinutes(e.getMinutes() + t || 0), e;
        }
    }, {
        key: "toJson",
        value: function(e, t) {
            if (!this.isUndefined(e)) return this.isNumber(t) || (t = t ? 2 : null), JSON.stringify(e, null, t);
        }
    }, {
        key: "fromJson",
        value: function(e) {
            return this.isString(e) ? JSON.parse(decodeURIComponent(e).replace(new RegExp("&quot;", "gm"), '"')) : e;
        }
    }, {
        key: "extend",
        value: function() {
            var e = void 0, t = void 0, n = void 0, r = void 0, i = void 0, u = void 0, a = arguments[0] || {}, o = 1, l = arguments.length, s = !1;
            for ("boolean" == typeof a && (s = a, a = arguments[o] || {}, o++), "object" === (void 0 === a ? "undefined" : _typeof(a)) || this.isFunction(a) || (a = {}), 
            o === l && (a = this, o--); o < l; o++) if (null != (i = arguments[o])) for (r in i) e = a[r], 
            a !== (n = i[r]) && (s && n && (this.isPlainObject(n) || (t = this.isArray(n))) ? (t ? (t = !1, 
            u = e && this.isArray(e) ? e : []) : u = e && this.isPlainObject(e) ? e : {}, a[r] = this.extend(s, u, n)) : void 0 !== n && (a[r] = n));
            return a;
        }
    }, {
        key: "isPlainObject",
        value: function(e) {
            var t, n, r = Object.getPrototypeOf, i = {}, u = i.hasOwnProperty, a = u.toString, o = a.call(Object);
            return !(!e || "[object Object]" !== this.type(e)) && (!(t = r(e)) || "function" == typeof (n = u.call(t, "constructor") && t.constructor) && a.call(n) === o);
        }
    }, {
        key: "isEmail",
        value: function(e) {
            return /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(e);
        }
    }, {
        key: "isPhone",
        value: function(e) {
            return /^1[3-9][0-9]\d{8}$/.test(e);
        }
    }, {
        key: "isIdcard",
        value: function(e) {
            return /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}$)/.test(e);
        }
    }, {
        key: "isEmptyObject",
        value: function(e) {
            for (var t in e) return !1;
            return !0;
        }
    }, {
        key: "type",
        value: function(e) {
            var t = Object.prototype.toString;
            return null == e ? e + "" : "object" === (void 0 === e ? "undefined" : _typeof(e)) || "function" == typeof e ? t.call(e) || "object" : void 0 === e ? "undefined" : _typeof(e);
        }
    }, {
        key: "merge",
        value: function() {
            return Object.assign.apply(Object, arguments);
        }
    }, {
        key: "clone",
        value: function(e) {
            if ("object" !== (void 0 === e ? "undefined" : _typeof(e)) || !e) return e;
            var t = {};
            for (var n in e) e.hasOwnProperty(n) && (t[n] = e[n]);
            return t;
        }
    }, {
        key: "getUrlParams",
        value: function(e) {
            var t, n, r, i = {}, u = e.indexOf("?"), a = e.indexOf("#"), o = e.substr(u + 1);
            if (-1 === a && (a = e.length), o) for (r = (t = o.split("&")).length; r--; ) i[(n = t[r].split("="))[0]] = decodeURIComponent(n[1]).replace(/\+/g, " ");
            return i;
        }
    }, {
        key: "getUrlParam",
        value: function(e, t) {
            return this.getUrlParams(e)[t];
        }
    }, {
        key: "omit",
        value: function(e, t) {
            var n = this.clone(e);
            return t.forEach(function(e) {
                delete n[e];
            }), n;
        }
    }, {
        key: "pluck",
        value: function(e, t) {
            return "object" !== (void 0 === e ? "undefined" : _typeof(e)) || 0 === e.length ? [] : t ? e.map(function(e) {
                return e[t];
            }) : e;
        }
    }, {
        key: "serializeValue",
        value: function(e) {
            return this.isObject(e) ? this.isDate(e) ? e.toISOString() : this.toJson(e) : e;
        }
    }, {
        key: "encodeUriQuery",
        value: function(e, t) {
            return encodeURIComponent(e).replace(/%40/gi, "@").replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%3B/gi, ";").replace(/%20/g, t ? "%20" : "+");
        }
    }, {
        key: "paramSerializer",
        value: function(n) {
            if (!n) return "";
            var r = this, i = [], e = function(t) {
                var e = n[t];
                if (null === e || r.isUndefined(e)) return {
                    v: void 0
                };
                r.isArray(e) ? e.forEach(function(e) {
                    i.push(r.encodeUriQuery(t) + "=" + r.encodeUriQuery(r.serializeValue(e)));
                }) : i.push(r.encodeUriQuery(t) + "=" + r.encodeUriQuery(r.serializeValue(e)));
            };
            for (var t in n) {
                var u = e(t);
                if ("object" === (void 0 === u ? "undefined" : _typeof(u))) return u.v;
            }
            return i.join("&");
        }
    }, {
        key: "buildUrl",
        value: function(e, t) {
            var n = this.paramSerializer(t);
            return n && 0 < n.length && (e += (-1 == e.indexOf("?") ? "?" : "&") + n), e;
        }
    } ]), e;
}();

exports.default = Tools;