Object.defineProperty(exports, "__esModule", {
    value: !0
});

var _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function(e) {
    return typeof e;
} : function(e) {
    return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e;
}, _createClass = function() {
    function a(e, t) {
        for (var n = 0; n < t.length; n++) {
            var a = t[n];
            a.enumerable = a.enumerable || !1, a.configurable = !0, "value" in a && (a.writable = !0), 
            Object.defineProperty(e, a.key, a);
        }
    }
    return function(e, t, n) {
        return t && a(e.prototype, t), n && a(e, n), e;
    };
}();

function _classCallCheck(e, t) {
    if (!(e instanceof t)) throw new TypeError("Cannot call a class as a function");
}

var WxValidate = function() {
    function t() {
        var e = 0 < arguments.length && void 0 !== arguments[0] ? arguments[0] : {};
        _classCallCheck(this, t), Object.assign(this, {
            rules: e
        }), this.__init();
    }
    return _createClass(t, [ {
        key: "__init",
        value: function() {
            this.__initMethods(), this.__initDefaults(), this.__initData();
        }
    }, {
        key: "__initDefaults",
        value: function() {
            this.defaults = {
                messages: {
                    required: "这是必填字段。",
                    email: "请输入有效的电子邮件地址。",
                    tel: "请输入11位的手机号码。",
                    url: "请输入有效的网址。",
                    date: "请输入有效的日期。",
                    dateISO: "请输入有效的日期（ISO），例如：2009-06-23，1998/01/22。",
                    number: "请输入有效的数字。",
                    regexp: "请输入有效的正则匹配值。",
                    digits: "只能输入数字。",
                    idcard: "请输入18位的有效身份证。",
                    equalTo: "输入值必须和%s相同。",
                    contains: "输入值必须包含%s。",
                    minlength: "最少要输入%s个字符。",
                    maxlength: "最多可以输入%s个字符。",
                    rangelength: "请输入长度在%s到%s之间的字符。",
                    min: "请输入不小于%s的数值。",
                    max: "请输入不大于%s的数值。",
                    range: "请输入范围在%s到 {1} 之间的数值。"
                }
            };
        }
    }, {
        key: "__initData",
        value: function() {
            this.form = {}, this.errorList = [];
        }
    }, {
        key: "__initMethods",
        value: function() {
            var a = this;
            a.methods = {
                required: {
                    valid: function(e, t) {
                        if (!a.depend(t)) return "dependency-mismatch";
                        if ("number" == typeof e) e = e.toString(); else if ("boolean" == typeof e) return !0;
                        return 0 < e.length;
                    },
                    message: function(e) {
                        return e.message || "这是必填字段。";
                    }
                },
                email: {
                    valid: function(e, t) {
                        return a.optional(e) || /^[a-zA-Z0-9.!#$%&'*+\/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入有效的电子邮件地址。";
                    }
                },
                tel: {
                    valid: function(e, t) {
                        return a.optional(e) || /^1[34578]\d{9}$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入11位的手机号码。";
                    }
                },
                url: {
                    valid: function(e, t) {
                        return a.optional(e) || /^(?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})).?)(?::\d{2,5})?(?:[/?#]\S*)?$/i.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入有效的网址。";
                    }
                },
                date: {
                    valid: function(e, t) {
                        return a.optional(e) || !/Invalid|NaN/.test(new Date(e).toString());
                    },
                    message: function(e) {
                        return e.message || "请输入有效的日期。";
                    }
                },
                dateISO: {
                    valid: function(e, t) {
                        return a.optional(e) || /^\d{4}[\/\-](0?[1-9]|1[012])[\/\-](0?[1-9]|[12][0-9]|3[01])$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入有效的日期（ISO），例如：2009-06-23，1998/01/22。";
                    }
                },
                number: {
                    valid: function(e, t) {
                        return a.optional(e) || /^(?:-?\d+|-?\d{1,3}(?:,\d{3})+)?(?:\.\d+)?$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入有效的数字。";
                    }
                },
                digits: {
                    valid: function(e, t) {
                        return a.optional(e) || /^\d+$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "只能输入整数。";
                    }
                },
                idcard: {
                    valid: function(e, t) {
                        return a.optional(e) || /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X)$/.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入18位的有效身份证。";
                    }
                },
                regexp: {
                    valid: function(e, t) {
                        var n = "string" == typeof t.regexp ? new RegExp(t.regexp) : t.regexp;
                        return a.optional(e) || n.test(e);
                    },
                    message: function(e) {
                        return e.message || "请输入有效的正则匹配值";
                    }
                },
                equalTo: {
                    valid: function(e, t) {
                        return a.optional(e) || e === a.scope.detail.value[t.field];
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "输入值必须和%s相同。", [ a.scope.detail.value[e.field] ]);
                    }
                },
                contains: {
                    valid: function(e, t) {
                        return a.optional(e) || 0 <= e.indexOf(t.value);
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "输入值必须包含%s。", [ e.value ]);
                    }
                },
                minlength: {
                    valid: function(e, t) {
                        return a.optional(e) || e.length >= t.value;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "最少要输入%s个字符。", [ e.value ]);
                    }
                },
                maxlength: {
                    valid: function(e, t) {
                        return a.optional(e) || e.length <= t.value;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "最多可以输入%s个字符。", [ e.value ]);
                    }
                },
                rangelength: {
                    valid: function(e, t) {
                        return a.optional(e) || e.length >= t.min && e.length <= t.max;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "请输入长度在%s到%s之间的字符。", [ e.min, e.max ]);
                    }
                },
                min: {
                    valid: function(e, t) {
                        return a.optional(e) || e >= t.value;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "请输入不小于%s的数值。", [ e.value ]);
                    }
                },
                max: {
                    valid: function(e, t) {
                        return a.optional(e) || e <= t.value;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "请输入不大于%s的数值。", [ e.value ]);
                    }
                },
                range: {
                    valid: function(e, t) {
                        return a.optional(e) || e >= t.min && e <= t.max;
                    },
                    message: function(e) {
                        return a.formatMessage(e.message || "请输入范围在%s到%s之间的数值。", [ e.min, e.max ]);
                    }
                }
            };
        }
    }, {
        key: "addMethod",
        value: function(e, t, n) {
            this.methods[e] = t, this.defaults.messages[e] = void 0 !== n ? n : this.defaults.messages[e];
        }
    }, {
        key: "isValidMethod",
        value: function(e) {
            return this.methods.hasOwnProperty(e);
        }
    }, {
        key: "formatMessage",
        value: function(e, t) {
            for (var n in Array.isArray(t) || (t = [ t ]), t) e = e.replace("%s", t[n]);
            return e;
        }
    }, {
        key: "formatTpl",
        value: function(n, e) {
            var t = this;
            return 1 === arguments.length ? function() {
                var e = Array.from(arguments);
                return e.unshift(n), t.formatTpl.apply(this, e);
            } : (void 0 === e || (2 < arguments.length && e.constructor !== Array && (e = Array.from(arguments).slice(1)), 
            e.constructor !== Array && (e = [ e ]), e.forEach(function(e, t) {
                n = n.replace(new RegExp("\\{" + t + "\\}", "g"), function() {
                    return e;
                });
            })), n);
        }
    }, {
        key: "depend",
        value: function(e) {
            switch (void 0 === e ? "undefined" : _typeof(e)) {
              case "boolean":
                e = e;
                break;

              case "string":
                e = !!e.length;
                break;

              case "function":
                e = e();

              default:
                e = !0;
            }
            return e;
        }
    }, {
        key: "optional",
        value: function(e) {
            return !this.methods.required.valid(e) && "dependency-mismatch";
        }
    }, {
        key: "customMessage",
        value: function(e, t) {
            return t.parameters.message || (t.parameters.message = this.defaults.messages[t.method]), 
            0 <= t.parameters.message.indexOf("%s") ? this.methods[t.method].message : t.parameters.message;
        }
    }, {
        key: "defaultMessage",
        value: function(e, t) {
            var n = this.customMessage(e, t) || this.defaults.messages[t.method], a = void 0 === n ? "undefined" : _typeof(n);
            return "undefined" === a ? n = "Warning: No message defined for " + t.method + "." : "function" === a && (n = n.call(this, t.parameters)), 
            n;
        }
    }, {
        key: "formatTplAndAdd",
        value: function(e, t, n) {
            var a = this.defaultMessage(e, t);
            this.errorList.push({
                param: e,
                msg: a,
                value: n
            });
        }
    }, {
        key: "checkParam",
        value: function(e, t, n) {
            var a = (this.scope = n).detail.value[e] || "";
            for (var s in t) if (this.isValidMethod(s)) {
                var r = {
                    method: s,
                    parameters: t[s]
                }, i = this.methods[s].valid(a, r.parameters);
                if ("dependency-mismatch" === i) continue;
                if (this.setValue(e, s, i, a), !i) {
                    this.formatTplAndAdd(e, r, a);
                    break;
                }
            }
        }
    }, {
        key: "setView",
        value: function(e) {
            this.form[e] = {
                $name: e,
                $valid: !0,
                $invalid: !1,
                $error: {},
                $success: {},
                $viewValue: ""
            };
        }
    }, {
        key: "setValue",
        value: function(e, t, n, a) {
            var s = this.form[e];
            s.$valid = n, s.$invalid = !n, s.$error[t] = !n, s.$success[t] = n, s.$viewValue = a;
        }
    }, {
        key: "checkForm",
        value: function(e) {
            for (var t in this.__initData(), this.rules) this.setView(t), this.checkParam(t, this.rules[t], e);
            return this.valid();
        }
    }, {
        key: "valid",
        value: function() {
            return 0 === this.size();
        }
    }, {
        key: "size",
        value: function() {
            return this.errorList.length;
        }
    }, {
        key: "validationErrors",
        value: function() {
            return this.errorList;
        }
    } ]), t;
}();

exports.default = WxValidate;