function formatTime(o) {
    var t = o.getFullYear(), n = o.getMonth() + 1, e = o.getDate(), i = o.getHours(), c = o.getMinutes(), s = o.getSeconds();
    return [ t, n, e ].map(formatNumber).join("/") + " " + [ i, c, s ].map(formatNumber).join(":");
}

function formatNumber(o) {
    return (o = o.toString())[1] ? o : "0" + o;
}

var showToast = function() {
    var o = 0 < arguments.length && void 0 !== arguments[0] ? arguments[0] : "加载中...", t = 1 < arguments.length && void 0 !== arguments[1] ? arguments[1] : "loading", n = 2 < arguments.length && void 0 !== arguments[2] ? arguments[2] : 6e4;
    wx.showToast({
        title: o,
        mask: !0,
        icon: t,
        duration: n
    });
}, hideToast = function() {
    wx.hideToast();
}, showModal = function() {
    var o = 0 < arguments.length && void 0 !== arguments[0] ? arguments[0] : "系统提示", t = 1 < arguments.length && void 0 !== arguments[1] ? arguments[1] : "", n = !(2 < arguments.length && void 0 !== arguments[2]) || arguments[2], e = 3 < arguments.length && void 0 !== arguments[3] ? arguments[3] : "确定", i = arguments[4], c = 5 < arguments.length && void 0 !== arguments[5] ? arguments[5] : {
        cancelColor: "#999999",
        confirmColor: "#7D73C3"
    }, s = 6 < arguments.length && void 0 !== arguments[6] ? arguments[6] : "取消";
    wx.showModal({
        title: o,
        content: t,
        showCancel: n,
        cancelText: s,
        confirmText: e,
        confirmColor: c.confirmColor,
        cancelColor: c.cancelColor,
        success: function(o) {
            return "function" == typeof i && i(o);
        }
    });
}, checkPermission = function(n, e, i) {
    n = "scope." + n, wx.getSetting({
        success: function(o) {
            var t = o.authSetting;
            !1 === t[n] ? showModal("温馨提示", i, !1, "确定", function(o) {
                o.confirm && wx.openSetting({
                    success: function(o) {
                        !0 === o.authSetting[n] && "function" == typeof e && e();
                    }
                });
            }) : (t[n], "function" == typeof e && e());
        }
    });
};

module.exports = {
    showToast: showToast,
    hideToast: hideToast,
    formatTime: formatTime,
    showModal: showModal,
    checkPermission: checkPermission
};